<?php
/*
#************* EXEC.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/
require_once "../../../maincore.php";
require INFUSIONS."pfblog_panel/includes/database.php"; !
require INFUSIONS."pfblog_panel/includes/misc.php";
require INFUSIONS."pfblog_panel/includes/feedcreator.class.php";

$role = $userdata['user_blogrole'];

switch ( $_REQUEST['action'] ) {
	case "user_edit":
		$result = user_edit($_REQUEST['userid']);
		if ($result){ header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_list"); }
		break;
	case "entry_add":
		entry_add($role);
		if ($result){ header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_list"); }
		break;
	case "entry_edit":
		$result = entry_edit();
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_list");
		break;
	case "entry_remove":
		$result = entry_remove();
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_list");
		break;
	case "entry_publish":
		$result = entry_publish();
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_list");
		break;
	case "entry_unpublish":
		$result = entry_unpublish();
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_list");
		break;
	case "category_add":
		$result = category_add();
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=category_list");
		break;
	case "category_edit":
		$result = category_edit();
		if ($result){ header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=category_list"); }
		break;
	case "category_remove":
		$result = category_remove();
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=category_list");
		break;
	case "settings_edit":
		$result = settings_edit();
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=settings_edit");
		break;
	case "comment_edit":                
		$result = comment_edit(); 
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_list");	
		break;
	case "comment_remove":              
		$result = comment_remove(); 
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_list");
		break;
	case "verify_comments":             
		$result = verify_comments(); 
		header("Location: ".INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_list");
		break;	
}


function user_edit(){

	$role     = mysql_escape_string($_REQUEST['role']);
	$sql = "UPDATE ".DB_PREFIX."users SET user_blogrole='".$role."' WHERE user_id=".$_REQUEST['userid'];
	$result = dbquery($sql);
	return $result;
}

function entry_add($role){
global $userdata;
if (isset($_REQUEST['title']) && isset($_REQUEST['bodyblog']) && isset($_REQUEST['dateadded'])){
	$title      = mysql_escape_string($_REQUEST['title']);
	$body       = mysql_escape_string($_REQUEST['bodyblog']);
	$date_added = $_REQUEST['dateadded'];
	if ($role!="contributor") { $status = $_REQUEST['status']; } 
	else { $status = "U"; }
	$sql = "INSERT INTO ".DB_PREFIX."blog_entries (cTitle,dAdded,dEdited,cBody,cStatus,nUserAdded,nUserEdited)"
		." VALUES ("
		."'".$title."'"
		.",'".$date_added."'"
		.",'".$date_added."'"
		.",'".$body."'"
		.",'".$status."'"
		.",".$userdata['user_id']
		.",".$userdata['user_id']
		.")";
	
	$result = dbquery($sql);
	if ($result == false) { report_problem("EXEC.PHP","entry_add",$sql); } else { $result = TRUE;}
	$entryid = mysql_insert_id();
	foreach ($_REQUEST as $key=>$value){
		if (substr($key,0,3)=="cat" && $key!="cat_count"){
			$catnum = substr($key,3,strlen($key)-3);
			$result = dbquery("INSERT INTO ".DB_PREFIX."blog_entry_categories (nEntryId,nCategoryId) VALUES (".$entryid.",".$catnum.")");
			}
		}
	generate_feed();
} else { report_problem("EXEC.PHP","entry_add","Blog_not_found"); }

return $result;
}


function entry_edit(){
global $userdata;

$result = true;
if (isset($_REQUEST['entryid'])){
	$entryid   = $_REQUEST['entryid'];
	$userid    = $userdata['user_id'];
	$title     = mysql_escape_string($_REQUEST['title']);
	$body      = mysql_escape_string($_REQUEST['bodyblog']);
	$dateadded = mysql_escape_string($_REQUEST['dateadded']);
	$role      = $userdata['user_blogrole'];
	if ($role!="contributor"){ $status = $_REQUEST['status']; } else { $status = "U"; }
		$sql = "UPDATE ".DB_PREFIX."blog_entries SET"
			." cTitle='".$title."'"
			.",dAdded='".$dateadded."'"
			.",cStatus='".$status."'"
			.",dEdited=now()"
			.",nUserEdited=".$userid
			.",cBody='".$body."'"
			." WHERE nEntryid=".$entryid;
		$result = dbquery($sql);
		if ($result != false){
			$sql = "DELETE FROM ".DB_PREFIX."blog_entry_categories WHERE nEntryId=".$entryid;
			$result = dbquery($sql);
			$cat_count = $_REQUEST['catcount'];
			foreach ($_REQUEST as $key=>$value) {
				if (substr($key,0,3) == "cat" && $key != "cat_count") {
					$catnum = substr($key,3,strlen($key)-3);
					$sql = "INSERT INTO ".DB_PREFIX."blog_entry_categories (nEntryId,nCategoryId) VALUES (".$entryid.",".$catnum.")";
					$result = dbquery($sql);
				}
			}
		} else { report_problem("EXEC.PHP","entry_edit",$sql); }
		generate_feed();
	} else { $result = false; }
return $result;

}


function entry_remove(){

if (isset($_REQUEST['entryid'])){
	$entryid = $_REQUEST['entryid'];
	$sql = "DELETE FROM ".DB_PREFIX."blog_entries WHERE nEntryId=".$entryid;
	$result = dbquery($sql);
	$sql = "DELETE FROM ".DB_PREFIX."blog_entry_categories WHERE nEntryId=".$entryid;
	$result = dbquery($sql);
	if ($result!=false){ $result = true; }
}
return $result;
}


function entry_publish(){

if (isset($_REQUEST['entryid'])){
	$entryid = $_REQUEST['entryid'];
	$sql = "UPDATE ".DB_PREFIX."blog_entries SET cStatus='P' WHERE nEntryId=".$entryid;
	$result = dbquery($sql);
	if ($result!=false){ $result = true; }
}
return $result;
}


function entry_unpublish(){

if (isset($_REQUEST['entryid'])){
	$entryid = $_REQUEST['entryid'];
	$sql = "UPDATE ".DB_PREFIX."blog_entries SET cStatus='U' WHERE nEntryId=".$entryid;
	$result = dbquery($sql);
	if ($result!=false){ $result = true; }
}
return $result;
}


function category_add(){


$result = true;
if (isset($_REQUEST['category_name'])){
	$sql = "SELECT * FROM ".DB_PREFIX."blog_categories WHERE cCategoryName='".mysql_escape_string($_REQUEST['category_name'])."'";
	$result = dbquery($sql);
	if ($result!=false){ $count = dbrows($result); } 
	if ($count==0){
		$sql = "INSERT INTO ".DB_PREFIX."blog_categories (cCategoryName) VALUES ('".mysql_escape_string(strip_tags($_REQUEST['category_name']))."')";
		$result = dbquery($sql);
	}
	if ($result!=false){ $result = true; }
} else { $result = false; }
return $result;

}


function category_edit(){

$result = true;
if (isset($_REQUEST['categoryid']) && isset($_REQUEST['category_name'])){
	$sql = "SELECT * FROM ".DB_PREFIX."blog_categories WHERE cCategoryName='".mysql_escape_string($_REQUEST['category_name'])."'";
	$result = dbquery($sql);
	if ($result!=false){ $count = dbrows($result); } 
	if ($count==0){
		$sql = "UPDATE ".DB_PREFIX."blog_categories SET cCategoryName='".mysql_escape_string(strip_tags($_REQUEST['category_name']))."' WHERE nCategoryId=".$_REQUEST['categoryid'];
		$result = dbquery($sql);
	}
	if ($result!=false){ $result = true; }
} else { $result = false; }
return $result;
}


function category_remove(){

if (isset($_REQUEST['categoryid'])){
	$categoryid = $_REQUEST['categoryid'];
	$result = dbquery("DELETE FROM ".DB_PREFIX."blog_categories WHERE nCategoryId=".$categoryid);
	if ($result!=false){ $result = true; }
	}
return $result;
}

function settings_edit(){

$result = set_setting("rss_root_url",$_REQUEST['rss_root_url']);
$result = set_setting("rss_title",$_REQUEST['rss_title']);
$result = set_setting("rss_description",$_REQUEST['rss_description']);
$result = set_setting("rss_language",$_REQUEST['rss_language']);
$result = set_setting("rss_copyright",$_REQUEST['rss_copyright']);
$result = set_setting("rss_editor",$_REQUEST['rss_editor']);
$result = set_setting("rss_webmaster",$_REQUEST['rss_webmaster']);
$result = set_setting("rss_category",$_REQUEST['rss_category']);
$result = set_setting("rss_ttl",$_REQUEST['rss_ttl']);
$result = set_setting("rss_image",$_REQUEST['rss_image']);
generate_feed();
}

function comment_edit(){

	if ($_REQUEST['entryid']!="" && $_REQUEST['commentid']!=""){
		$comment_id = $_REQUEST['commentid'];
		$name = mysql_escape_string($_REQUEST['name']);
		$email = mysql_escape_string($_REQUEST['email']);
		$url = mysql_escape_string($_REQUEST['url']);
		$body = mysql_escape_string($_REQUEST['body']);
		$sql = "UPDATE ".DB_PREFIX."blog_comments"
			." SET cName='".$name."', cEMail='".$email."', cURL='".$url."', cComment='".$body."'"
			." WHERE nCommentId=".$comment_id;
		$result = dbquery($sql);
		if ($result!=false){
			if (isset($_GET['entryid'])){
			  	redirect(INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_view&entryid=".$_REQUEST['entryid'],"header");
			} else { redirect(INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_list","header"); }
		}
	} else { $result = false; }
return $result;
}

function comment_remove(){

	if ($_REQUEST['entryid']!="" && $_REQUEST['commentid']!=""){
		$comment_id = $_REQUEST['commentid'];
		$name = mysql_escape_string($_REQUEST['name']);
		$email = mysql_escape_string($_REQUEST['email']);
		$url = mysql_escape_string($_REQUEST['url']);
		$body = mysql_escape_string($_REQUEST['body']);
		$result = dbquery("DELETE FROM ".DB_PREFIX."blog_comments WHERE nCommentId=".$comment_id);
		if ($result!=false){
			$result = dbquery("SELECT COUNT(*) AS nCount FROM ".DB_PREFIX."blog_comments WHERE nEntryId=".$_REQUEST['entryid']);
			if ($result!=false){
				$row = dbarray($result);
				$num_comments = $row['nCount'];
				$result = dbquery("UPDATE ".DB_PREFIX."blog_entries SET nComments=".$num_comments." WHERE nEntryId=".$_REQUEST['entryid']);
				if ($result!=false){
					if (isset($_GET['entryid'])){
						redirect(INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_view&entryid=".$_REQUEST['entryid'],"header");
					} else { redirect(INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_list","header"); }
				} else { $result = false; }
			} else { $result = false; }
		}
	} else { $result = false; }
	return $result;
}

function verify_comments(){
	foreach($_POST as $key=>$val){
		if (substr($key,0,6)=="verify"){
			$id = substr($key,7);
			switch($val){
				case "approve":
					$sql = "UPDATE ".DB_PREFIX."blog_comments SET approved=1 WHERE nCommentId=".$id;
					break;
				case "reject":
					$sql = "UPDATE ".DB_PREFIX."blog_comments SET approved=0 WHERE nCommentId=".$id;
					break;
				case "remove":
					$sql = "DELETE FROM ".DB_PREFIX."blog_comments WHERE nCommentId=".$id;
					break;
			}
		}
		if (isset($id)){
			$entryid="";
			$sql_entry = "SELECT nEntryId FROM ".DB_PREFIX."blog_comments WHERE nCommentId=".$id;
			$result = dbquery($sql_entry);
			if ($result!=false){
				if (dbrows($result)>0){
					$row = dbarray($result);
					$entryid = $row['nEntryId'];
				}
			}
		}
		$result = dbquery($sql);
		if ($result!=false){
			if ( ( substr($sql,0,6)=="DELETE" || substr($sql,0,6)=="UPDATE" ) && $entryid!=""){
				$sql = "SELECT COUNT(*) AS nCount FROM ".DB_PREFIX."blog_comments WHERE nEntryId=".$entryid;		
				$result = dbquery($sql);
				if ($result!=false){
					$row = dbarray($result);
					$num_comments = $row['nCount'];
					$sql = "UPDATE ".DB_PREFIX."blog_entries SET nComments=".$num_comments." WHERE nEntryId=".$entryid;				
					$result = dbquery($sql);
					if ($result!=false){ $result = true; } 
					else { $result = false; }
				} else { $result = false; }
			}
			
		} else { report_problem("EXEC.PHP","verify_comments","sql_error".$sql); }
	}
	redirect(INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_list","header");
}

function generate_feed(){

if (file_exists(INFUSIONS."pfblog_panel/rss.xml")){
	$file = realpath(INFUSIONS."pfblog_panel/rss.xml");
	if (is_writable($file)){
		$rss_root_url    = get_setting("rss_root_url");
		$rss_title       = get_setting("rss_title");
		$rss_image       = get_setting("rss_image");
		$rss_description = get_setting("rss_description");
		$rss_link        = get_setting("rss_link");
		$rss_copyright   = get_setting("rss_copyright");
		$rss_editor      = get_setting("rss_editor");
		$rss_webmaster   = get_setting("rss_webmaster");
		$rss_category    = get_setting("rss_category");
		$rss_ttl         = get_setting("rss_ttl"); // 60 = default
		
		$rss              = new UniversalFeedCreator();
		$rss->title       = $rss_title;
		$rss->description = $rss_description;
		$rss->link        = $rss_root_url;
		$rss->feedURL     = $rss_root_url;
		
		$image = new FeedImage();
		$image->title = $rss_title;
		$image->url = $rss_image;
		$image->link = $rss_root_url;
		$image->description = $rss_description;
		$image->descriptionHtmlSyndicated = true;
		$rss->image = $image;
			// get the last 20 entries
		$sql = "SELECT * FROM ".DB_PREFIX."blog_entries ent"
			." INNER JOIN ".DB_PREFIX."users usr ON ent.nUserAdded=usr.user_id"
			." WHERE ent.cStatus='P' ORDER BY ent.dAdded DESC LIMIT 20";
		$result = dbquery($sql);
		if (dbrows($result)>0){
			while ($row = dbarray($result)){
				$title = stripslashes($row['cTitle']);
				$entryid = $row['nEntryId'];
				$item_pub_date = $row['dAdded'];
				unset($cats);
				$sql = "SELECT cCategoryName FROM ".DB_PREFIX."blog_categories cat"
					." INNER JOIN ".DB_PREFIX."blog_entry_categories entcat ON cat.nCategoryId=entcat.nCategoryId"
					." WHERE entcat.nEntryId=".$row['nEntryId'];
				$cat_result = dbquery($sql);
				if ($cat_result!=false){
					while($cat_row=@dbarray($cat_result)){
						$cats[] = stripslashes($cat_row['cCategoryName']);
					}
				}
				if (isset($cats)){ if (count($cats)>0){ $categories = implode(" ",$cats); } } 
				else { $categories = ""; }
				$item = new FeedItem();
				$item->title = $title;
				$item->link = $rss_root_url."/pfblog.php?entryid=".$entryid;
				$item->description = stripslashes($row['cBody']);
				$item->descriptionHtmlSyndicated = true;
				$item->date = strtotime($row['dAdded']);
				$item->source = $rss_link;
				$item->author = stripslashes($row['cEMail']);
				$item->category = $categories;
				$item->comments = $rss_root_url."/pfblog.php?entryid=".$entryid;
				$rss->addItem($item);
				}
			}
		} else { report_problem("EXEC.PHP","generate_feed","sql_error".$sql); }
		$rss->saveFeed("RSS2.0",$file, false);
	}
}
?>