<?php
/*
#************* HTML.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

function build_entryview($sql_entryview){
global $lo_tmois,$lo_tmoisBR,$lo_tjours,$tdaysBR,$settings,$locale;
	
	$timezone      = $settings['timeoffset'];
	
	$result_entryview = dbquery($sql_entryview);
	if (dbrows($result_entryview)>0){
		while ($row = dbarray($result_entryview)){
			$body = stripslashes($row["cBody"]);
			$body = nl2br($body);
			$body = parsesmileys($body);
			$date_added = $row["dAdded"];
			$a_date_added = db_datetoarray($row["dAdded"]);
			$a_date_edited = db_datetoarray($row["dEdited"]);
			echo "<h2><a style='text-decoration:none;' href='".INFUSIONS."pfblog_panel/pfblog.php?entryid=".$row["nEntryId"]."' title='".strip_tags(stripslashes($row["cTitle"]))."'>".strip_tags(stripslashes($row["cTitle"]))."</a></h2>\n";
			echo "<p>".$body."</p>\n";
			echo "<i>\n";
			echo $locale["blog235"]." ".strip_tags(stripslashes($row["cUserAdded"]))."\n";
			echo " | ".$lo_tjours[$a_date_added["wday"]-1]." ";
			echo "".$a_date_added["mday"]." ";
			echo "".$lo_tmois[$a_date_added["mon"]-1]." ";
			echo "".$a_date_added["year"]." ";
			echo "".$a_date_added["hours"].":".str_pad($a_date_added["minutes"],2,"0",STR_PAD_LEFT)." ";
			$sql = "SELECT DISTINCT entcat.nCategoryId,cat.cCategoryName FROM ".DB_PREFIX."blog_entry_categories entcat"
				." INNER JOIN ".DB_PREFIX."blog_categories cat ON entcat.nCategoryId=cat.nCategoryId"
				." WHERE entcat.nEntryId=".$row['nEntryId'];
			$result = dbquery($sql);
			if (dbrows($result)>0){
				unset($a_items);
				while ($rowcat= dbarray($result)){
					$catlist_item = "<a href='".INFUSIONS."pfblog_panel/pfblog.php?categoryid=".$rowcat["nCategoryId"]."' title='".$locale["blog236"]."'>".stripslashes($rowcat["cCategoryName"])."</a>";
					$a_items[] = $catlist_item;
				}
				$catlist = implode(" : ",$a_items);
			} else { echo "<li>".$locale["blog237"]."</li>\n"; }
			echo " | ".$catlist."\n";
			echo "<br /><a href='".INFUSIONS."pfblog_panel/pfblog.php?entryid=".$row["nEntryId"]."' title='".$locale["blog281"]."'>Permalink</a>\n";
			echo " | <a href='".INFUSIONS."pfblog_panel/pfblog.php?entryid=".$row["nEntryId"]."' title='".$locale["blog282"]."'>(".($row["nComments"]>0?$row["nComments"]:0).") ".$locale["blog221"]."</a>\n";
			echo "</i>\n";		
			//echo "<hr>\n";
			/*
			if (isset($_GET["entryid"])){
				if ($_GET["entryid"]!=""){
					echo "<h5><b>".$locale["blog270"]."</b></h5>";
					echo $locale["blog271"]." ".build_previouslink($row["dAdded"]);
					echo "<br>".$locale["blog272"]." ".build_nextlink($row["dAdded"]);
					echo "<hr>";
				}
			}
			*/
			if ($_GET["result"]=="posted" ){
				echo "<h5>".$locale["blog275"]."</h5>\n";
				echo "<p>".$locale["blog276"]."</p>\n";
				echo "<br>\n";
			}
			if ($_GET["result"]=="problem"){
				echo "<h5>".$locale["blog277"]."</h5>\n";
				echo "<p>".$locale["blog278"]."</p>\n";
				echo "<br>\n";
			}
		}
	} else { 
		echo "<h5>".$locale["blog279"]."</h5>\n";
		echo "<p>".$locale["blog280"]."</p>\n";
	}
}

function build_comments($sql_comments){
global $lo_tmois,$lo_tmoisBR,$lo_tjours,$tdaysBR,$settings,$locale;

if ($settings['display_validation'] == "1") {
	srand((double)microtime()*1000000); 
	$temp_num = md5(rand(0,9999)); 
	$vcode_1 = substr($temp_num, 17, 5); 
	$vcode_2 = md5($vcode_1);
	unset($temp_num);
	$result = dbquery("INSERT INTO ".DB_PREFIX."vcode VALUES('".time()."', '$vcode_1', '$vcode_2')");
}
$result_comments = dbquery($sql_comments);
opentable($locale["blog221"]);
if (dbrows($result_comments)>0){
	while ($row = dbarray($result_comments)){
	  	$a_date_added = db_datetoarray($row["dAdded"]);
		echo "<p>".nl2br(strip_tags(stripslashes($row["cComment"])));
		echo "<br><i>".$locale["blog235"]." <a href='".strip_tags(stripslashes($row["cURL"]))."'>".strip_tags(stripslashes($row["cName"]))."</a>";
		echo " ".$locale["blog251"]." ".$lo_tjours[$a_date_added["wday"]-1]." ";
			echo "".$a_date_added["mday"]." ";
			echo "".$lo_tmois[$a_date_added["mon"]-1]." ";
			echo "".$a_date_added["year"]." ";
			echo "".$a_date_added["hours"].":".str_pad($a_date_added["minutes"],2,"0",STR_PAD_LEFT)." ";
	}
} else { echo "<p><i>".$locale["blog256"]."</i></p>"; }
closetable();
tablebreak();
opentable($locale["blog273"]);
$name  = "";
$email = "";
$url   = "";
if (isset($_REQUEST["name"]))  $name  = urldecode($_REQUEST["name"]);
if (isset($_REQUEST["email"])) $email = urldecode($_REQUEST["email"]);
if (isset($_REQUEST["url"]))   $url   = urldecode($_REQUEST["url"]);		
$comment = urldecode($_REQUEST["comment"]);
if (substr($comment,0,8)=="pending:"){ $comment = str_replace("pending:","",$comment); }
echo "<form method='POST' action='".INFUSIONS."pfblog_panel/pfblog.php?action=comment_add&entryid=".$_REQUEST["entryid"]."'>\n";
echo "<table border='1' cellspacing='0' cellpadding='3' class='tbl-border' align='center'>\n";
echo "<tr><td class='tbl2'><b>".$locale["blog255"]."</b><span style='color:#ff0000'>*</span></td>\n";
echo "<td class='tbl'><input type='text' name='name' size='30' value='".urldecode($name)."' class='textbox' style='width:200px;'></td></tr>\n";
echo "<tr><td class='tbl2'><b>".$locale["blog250"]."</b><span style='color:#ff0000'>*</span></td>\n";
echo "<td class='tbl'><input type='text' name='email' size='40' value='".urldecode($email)."' class='textbox' style='width:200px;'> (".$locale["blog274"].")</td></tr>\n";
echo "<tr><td class='tbl2'><b>".$locale["blog234"]."</b></td>\n";
echo "<td class='tbl'><input type='text' name='url' size='50' value='".urldecode($url)."' class='textbox' style='width:200px;'></td></tr>\n";
echo "<tr><td class='tbl2'><b>".$locale["blog231"]."</b><span style='color:#ff0000'>*</span></td>\n";
echo "<td class='tbl'><textarea name='comment' cols='40' rows='5' class='textbox' style='width:200px;'>".urldecode($comment)."</textarea></td></tr>\n";
if ($settings['display_validation'] == "1") {
	echo "<tr>\n<td class='tbl2'><b>".$locale["blog254"]."</b></td>\n";
	echo "<td class='tbl'><span style='color:#ff0000'><b>".strtoupper($vcode_1)."</b></span>\n"; 
	unset($vcode_1,$vcode_2);
	echo "&nbsp;<input type='text' name='user_code' class='textbox' style='width:100px'></td></tr>\n";
}
echo "<tr><td align='center' colspan='2'><input type='submit' value='".$locale["blog216"]."' class='button'>\n";
echo "</td></tr></table>\n";
echo "</form>\n";
closetable();

}
/*
function build_previouslink($datetime){
	$sql = "SELECT nEntryId,cTitle FROM ".DB_PREFIX."blog_entries WHERE dAdded<'".$datetime."' ORDER BY dAdded DESC LIMIT 1";
	$result = dbquery($sql);
	if ($result!=false){
		$row = dbarray($result);
		$entryid = $row["nEntryId"];
	}	
	$html_previouslink = "<a href='".INFUSIONS."pfblog_panel/pfblog.php?entryid=".$entryid."'>".stripslashes($row["cTitle"])."</a>";
return $html_previouslink;	
}

function build_nextlink($datetime){
	$sql = "SELECT nEntryId,cTitle FROM ".DB_PREFIX."blog_entries WHERE dAdded>'".$datetime."' ORDER BY dAdded LIMIT 1";
	$result = dbquery($sql);
	if ($result!=false){
		$row = dbarray($result);
		$entryid = $row["nEntryId"];
	}
	$html_nextlink = "<a href='".INFUSIONS."pfblog_panel/pfblog.php?entryid=".$entryid."'>".stripslashes($row["cTitle"])."</a>";
return $html_nextlink;
}
*/

function build_page($sql_list,$sql_view,$sql_categories="",$sql_comments=""){
global $userdata,$locale;

opentable($locale['blog101']);
echo "<table align='center' border='1' cellspacing='0' cellpadding='0' width='100%' class='tbl-border'>\n";
echo "<tr><td valign='top' xclass='tbl1'>".build_entryview($sql_view);
if (isset($_REQUEST["entryid"])) { echo build_comments($sql_comments); }
echo "</td></tr></table>\n";
closetable();
}

// *****************************************************************************************
// **                                  PUBLIC FUNCTIONS                                   **
// *****************************************************************************************
function html_view_entry($entryid){
	$sql_list       = db_sql_entries_entry($entryid);
	$sql_view       = db_sql_entries_entry($entryid);
	$sql_categories = db_sql_categorylist();
	$sql_comments   = db_sql_comments($entryid);
	$html = build_page($sql_list,$sql_view,$sql_categories,$sql_comments);	
return $html;
}

function html_view_category($categoryid){
	$sql_list        = db_sql_entries_category($categoryid);
	$sql_view       = db_sql_entries_category($categoryid);
	$sql_categories = db_sql_categorylist();
	$html = build_page($sql_list,$sql_view,$sql_categories,$sql_comments);
return $html;
}

function html_view_search($keywords){
	$sql_list       = db_sql_entries_search($keywords);
	$sql_view       = db_sql_entries_search($keywords);
	$sql_categories = db_sql_categorylist();
	$html = build_page($sql_list,$sql_view,$sql_categories,$sql_comments);
return $html;
}

function html_view_month($year,$month){
	$sql_list       = db_sql_entries_month($year,$month);
	$sql_view       = db_sql_entries_month($year,$month);
	$sql_categories = db_sql_categorylist();
	$html = build_page($sql_list,$sql_view,$sql_categories,$sql_comments);
return $html;
}

function html_view_day($year,$month,$day){
	$sql_list       = db_sql_entries_day($year,$month,$day);
	$sql_view       = db_sql_entries_day($year,$month,$day);
	$sql_categories = db_sql_categorylist();
	$html = build_page($sql_list,$sql_view,$sql_categories,$sql_comments);
return $html;
}

function html_view_default(){
	$limit = 20;
	$sql_list 		= db_sql_entries_default($limit);
	$sql_view 		= db_sql_entries_default($limit);
	$sql_categories = db_sql_categorylist();
	$html = build_page($sql_list,$sql_view,$sql_categories,$sql_comments);
return $html;
}

?>