<?php
/*
#************* HTML_ADMIN.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pfblog_panel/locale/English.php";
}

echo "<script language='javascript' type='text/javascript' src='".INCLUDES."jscripts/tiny_mce/tiny_mce_gzip.php'></script>
<script type='text/javascript'>
function advanced() {
	tinyMCE.init({
	mode:'exact',
	elements:'bodyblog',
	theme:'advanced',
	width:'100%',
	height:'350',
	language:'".$locale['tinymce']."',
	entities:'60,lt,62,gt',
	document_base_url:'".$settings['siteurl']."',
	relative_urls:'false',
	convert_newlines_to_brs:'true',
	force_br_newlines:'true',
	force_p_newlines:'false',
	plugins:'table,advhr,advimage,advlink,insertdatetime,searchreplace,contextmenu,ibrowser',
	theme_advanced_buttons1_add:'fontsizeselect',
	theme_advanced_buttons2_add:'separator,insertdate,inserttime,separator,forecolor,backcolor',
	theme_advanced_buttons3_add_before:'ibrowser,tablecontrols,separator',
	theme_advanced_buttons3_add:'advhr',
	theme_advanced_toolbar_location:'bottom',
	theme_advanced_toolbar_align:'center',
	theme_advanced_path_location:'none',
	theme_advanced_toolbar_location:'top',
	content_css:'".THEME."styles.css',
	external_image_list_url:'".INFUSIONS."pfblog_panel/uploads/images/imagelist.js',
	plugin_insertdate_dateFormat:'%d-%m-%Y',
	plugin_insertdate_timeFormat:'%H:%M:%S',
	invalid_elements:'script,object,applet,iframe',
	extended_valid_elements:'a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]'
	});
}
function simple() {
	tinyMCE.init({
	mode:'textareas',
	theme:'simple',
	language:'en',
	convert_newlines_to_brs:'true',
	force_br_newlines:'true',
	force_p_newlines:'false'
	});
}

function showtiny(EditorID) {
	tinyMCE.removeMCEControl(tinyMCE.getEditorId(EditorID));
	tinyMCE.addMCEControl(document.getElementById(EditorID),EditorID);
}

function hidetiny(EditorID) {
	tinyMCE.removeMCEControl(tinyMCE.getEditorId(EditorID));
}
</script>\n";
?>
<STYLE>
/*******************************************************/
/*                  Bottoni sottomen                  */
/*******************************************************/
.rightnav a {
	display: block;
	font-family:Tahoma,Helvetica;
	font-weight: bold;
	font-size: 11px;
    padding: 5px 3px 5px 3px;
	border-top: 1px solid #FFFFFF;
	border-right: 1px solid #5E6F82;
	border-bottom: 1px solid #5E6F82;
	border-left: 1px solid #FFFFFF;
    text-decoration: none;
	color: #3B4450;
	background-color: #EFEBDE;
	}
.rightnav a:hover	{ 	
	display: block;
	font-family:Tahoma,Helvetica;
	font-weight: bold;
	font-size: 11px;
    padding: 5px 3px 5px 3px;
	border-top: 1px inset #5E6F82;
	border-right: 1px inset #FFFFFF;
	border-bottom: 1px inset #FFFFFF;
	border-left: 1px inset #5E6F82;
    text-decoration: none;
	color: #3B4450;
	background-color: #EFEBDE;
	}
#container {
	padding: 0px 0px 0px 0px;
	margin: 0px 0px 0px 0px;
	background : #EFEBDE;
	border-top : 1px solid #e4ffdd;
	border-right : 1px solid #34371c;
	border-bottom : 1px solid #34371c;
	border-left : 1px solid #e4ffdd;
	color : #2a3234;
}
#txtdescr{ filter:glow(color=#525942,strength=3); width:100%; font-size:11px;}
.txtdescr { background-color:transparent; font-family:Verdana,Tahoma,Arial,Sans-Serif; color:#FFFF00; font-size:11px; font-weight:bold; text-align:right; text-decoration:none; height:24px; }
.noblogrole {background-color:#FFCC00;  font-family:Verdana,Tahoma,Arial,Sans-Serif; color:#FF0000; font-weight:bold; text-decoration:none; }
</STYLE>
<?PHP

function adminblog_menu($role) {
global $locale,$userdata;
switch ($role) {
	case "administrator": $title_role = $locale["blog239"]; break;
	case "contributor":        $title_role = $locale["blog238"]; break;
	case "author":        $title_role = $locale["blog222"]; break;
}
	echo "<div id='container'>\n";
	echo "<table cellpadding='0' cellspacing='0' border='0' bgcolor='#EFEBDE' width='100%'><tr>\n";
	echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog.php'><img src='".INFUSIONS."pfblog_panel/images/pfblog.gif' border='0' title='".$locale["blog103"]."'></a></TD>\n";
	echo "<td><img src='".INFUSIONS."pfblog_panel/images/pix1.gif' width='8' border='0'></TD>\n";
	echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_add&richedit=x'><img src='".INFUSIONS."pfblog_panel/images/submissions.gif' border='0' title='".$locale["blog201"]."'></a></TD>\n";
	echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_list'><img src='".INFUSIONS."pfblog_panel/images/articles.gif' border='0' title='".$locale["blog202"]."'></a></TD>\n";
	echo "<td><img src='".INFUSIONS."pfblog_panel/images/pix1.gif' width='3' border='0'></TD>\n";	
	echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=gest_image'><img src='".INFUSIONS."pfblog_panel/images/images.gif' border='0' title='".$locale["blog283"]."'></a></TD>\n";	
	if ($role == "administrator") {
	  	echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_list'><img src='".INFUSIONS."pfblog_panel/images/admins.gif' border='0' title='".$locale["blog203"]."'></a></TD>\n";
	  	echo "<td><img src='".INFUSIONS."pfblog_panel/images/pix1.gif' width='3' border='0'></TD>\n";
		echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_list'><img src='".INFUSIONS."pfblog_panel/images/members.gif' border='0' title='".$locale["blog204"]."'></a></TD>\n";
		echo "<td><img src='".INFUSIONS."pfblog_panel/images/pix1.gif' width='3' border='0'></TD>\n";
		echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=category_add'><img src='".INFUSIONS."pfblog_panel/images/news.gif' border='0' title='".$locale["blog205"]."'></a></TD>\n";
		echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=category_list'><img src='".INFUSIONS."pfblog_panel/images/news_cats.gif' border='0' title='".$locale["blog206"]."'></a></TD>\n";
//		echo "<td><img src='".INFUSIONS."pfblog_panel/images/pix1.gif' width='3' border='0'></TD>\n";
//		echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=gest_image'><img src='".INFUSIONS."pfblog_panel/images/images.gif' border='0' title='".$locale["blog283"]."'></a></TD>\n";
		echo "<td><img src='".INFUSIONS."pfblog_panel/images/pix1.gif' width='3' border='0'></TD>\n";
		echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=settings_edit'><img src='".INFUSIONS."pfblog_panel/images/settings.gif' border='0' title='".$locale["blog207"]."'></a></TD>\n";
		//echo "<td class='rightnav'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=file_browse'><img src='".INFUSIONS."pfblog_panel/images/fileman.gif' border='0' title='".$locale["blog208"]."'></a></TD>\n";
	}
	echo "<td width='100%' align='right' vAlign='middle' class='txtdescr'><div id='txtdescr'>".strtoupper($userdata['user_name'])." - ".strtoupper($title_role)."&nbsp;&nbsp;</div></td>\n";
	echo "</tr></table>\n";
	echo "</div>\n";
}


function ViewBlogList($role,$rowstart){
global $locale,$userdata;

opentable($locale["blog202"]);
AdminBlogItemDescr($locale["blog507"]);
if (isset($_REQUEST["list_from"])){ $list_from = $_REQUEST["list_from"]; } else { $list_from = 0; }

if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
$results_per_page = 20;

if (isset($_REQUEST["keywords"])){
	$keywords=$_REQUEST["keywords"];
	if ($keywords!=""){
		$a_keywords = explode(" ",$keywords);
		foreach ($a_keywords as $keyword){ $sql_keywords[] = "(ent.cBody LIKE '%".$keyword."%')"; }
		$a_sql_where[] = "(".implode(" AND ",$sql_keywords).")";
	}
}
if (isset($_REQUEST["status"])){
	$status = $_REQUEST["status"];
	if ($status!=""){ $a_sql_where[] = "(ent.cStatus='".$status."')"; }
}
if (isset($_REQUEST["categoryid"])){
	$categoryid=$_REQUEST["categoryid"];
	if ($categoryid!=""){ $a_sql_where[] = "(entcat.nCategoryId=".$categoryid.")"; }
}
if (isset($_REQUEST["month"]) && isset($_REQUEST["year"])){
	$month = $_REQUEST["month"];
	$year = $_REQUEST["year"];
	if ($month!="" && $year!=""){ $a_sql_where[] = "(ent.dAdded>'2006-01-01')"; }
}
$user_id = $userdata['user_id'];
if (($role != "administrator") && ($role != "author")) { $a_sql_where[] = "(ent.nUserAdded=".$user_id.")"; }
if (is_array($a_sql_where))   { $sql_where_clauses = implode(" AND ",$a_sql_where); }
if ($sql_where_clauses != "") { $sql_where = " WHERE ".$sql_where_clauses."\n"; }

echo "<form method='POST' action='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_list'>\n";
echo "<input type='hidden' name='list_from' value='".$list_from."'>\n";
echo "<table border='0' cellspacing='0' cellpadding='3' align='center'>\n";
echo "<tr><td class='tbl2'>".$locale["blog210"]."</td>\n";
echo "<td class='tbl2'><input type='text' name='keywords' class='textbox' style='width=200px;' value='".$_REQUEST["keywords"]."'></td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog211"]."</td>\n";
echo "<td class='tbl2'><select name='categoryid' class='textbox' style='width=200px;'>\n";
echo "<option value=''></option>\n";
$result = dbquery("SELECT * FROM ".DB_PREFIX."blog_categories ORDER BY cCategoryName");
if ($result!=false){
	if (dbrows($result)>0){
		while ($row=dbarray($result)){
			if (isset($_REQUEST["categoryid"])){
				if ($_REQUEST["categoryid"]==$row["nCategoryId"]){ $selected = "selected"; }
				else { $selected = ""; }
				}
			echo "<option value='".$row["nCategoryId"]."' ".$selected.">".stripslashes($row["cCategoryName"])."</option>\n";
			}
	} else { echo "<option value=''>".$locale["blog212"]."</option>\n"; }
} else { echo "<option value=''>".$locale["blog212"]."</option>\n"; }
echo "</select>\n";
echo "</td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog213"]."</td>\n";
echo "<td class='tbl2'><select name='status' class='textbox' style='width=200px;'>\n";
echo "<option value=''></option>\n";
if (isset($_REQUEST["status"])){
	switch ($_REQUEST["status"]){
		case "U":
			$status = "U";
			echo "<option value='P'>".$locale["blog214"]."</option>\n";
			echo "<option value='U' selected>".$locale["blog215"]."</option>\n";
			break;
		default:
			$status = "P";
			echo "<option value='P' selected>".$locale["blog214"]."</option>\n";
			echo "<option value='U'>".$locale["blog215"]."</option>\n";
	}
} else {
	$status = "P";
	echo "<option value='P' selected>".$locale["blog214"]."</option>\n";
	echo "<option value='U'>".$locale["blog215"]."</option>\n";
	}
echo "</select></td></tr>\n";
echo "<tr><td colspan='2'align='center'><input type='submit' value='".$locale["blog216"]."' class='button'></td></tr>\n";
echo "</table>\n";
echo "</form>\n";

$sql_count = "SELECT DISTINCT ent.nEntryId,ent.nUserAdded,ent.cTitle,ent.dAdded,usr.user_name,ent.cStatus,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users usr ON ent.nUserAdded=usr.user_id"
		." LEFT OUTER JOIN ".DB_PREFIX."blog_entry_categories entcat ON ent.nEntryId=entcat.nEntryId"
		.$sql_where;
$sql = "SELECT DISTINCT ent.nEntryId,ent.nUserAdded,ent.cTitle,ent.dAdded,usr.user_name,ent.cStatus,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users usr ON ent.nUserAdded=usr.user_id"
		." LEFT OUTER JOIN ".DB_PREFIX."blog_entry_categories entcat ON ent.nEntryId=entcat.nEntryId"
		.$sql_where." ORDER BY ent.dAdded DESC LIMIT ".$rowstart.",".$results_per_page;
$rows = dbrows(dbquery($sql_count));
$result = dbquery($sql);
if ($result != false){
	echo "<table align='center' border='1' cellspacing='0' cellpadding='3' width='100%'>\n";
	echo "<tr>\n";
	echo "<td class='tbl2' align='center'><b>".$locale["blog219"]."</b></td>\n";
	echo "<td class='tbl2' align='center'><b>".$locale["blog220"]."</b></td>\n";
//	echo "<td class='tbl2' align='center'><b>".$locale["blog221"]."</b></td>\n";
	echo "<td class='tbl2' align='center'><b>".$locale["blog222"]."</b></td>\n";
	echo "<td class='tbl2' align='center'><b>".$locale["blog213"]."</b></td>\n";
	echo "<td class='tbl2' align='center'><b>".$locale["blog223"]."</b></td>\n";
	echo "</tr>\n";
	if (dbrows($result)>0){
		while ($row=dbarray($result)){
			echo "<tr>\n";
			echo "<td class='tbl2' nowrap>".$row["dAdded"]."</td>\n";
			echo "<td class='tbl2' width='100%'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_edit&entryid=".$row["nEntryId"]."' title='".$locale["blog224"]."'>".stripslashes($row["cTitle"])."</a></td>\n";
//			echo "<td class='tbl2' nowrap><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_view&entryid=".$row["nEntryId"]."' title='".$locale["blog225"]."'>".$row["nComments"]."</a> (<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_view&entryid=".$row["nEntryId"]."' title='".$locale["blog225"]."'>".$locale["blog225"]."</a>)</td>\n";
			echo "<td class='tbl2' nowrap>".stripslashes($row["user_name"])."</td>\n";
			echo "<td class='tbl2' nowrap align='center'>".stripslashes($row["cStatus"])."</td>\n";
			echo "<td class='tbl2' nowrap>\n";
			$imgDelete = "<img src='".INFUSIONS."pfblog_panel/images/fm_delete.gif' border='0' title='".$locale["blog226"]."' alt='".$locale["blog226"]."'>\n";
			$imgEdit = "<img src='".INFUSIONS."pfblog_panel/images/fm_edit.gif' border='0' title='".$locale["blog224"]."' alt='".$locale["blog224"]."'>\n";
			$imgPublish = "<img src='".INFUSIONS."pfblog_panel/images/fm_move.gif' border='0' title='".$locale["blog227"]."' alt='".$locale["blog227"]."'>\n";
			$imgUnpublish = "<img src='".INFUSIONS."pfblog_panel/images/fm_rename.gif' border='0' title='".$locale["blog228"]."' alt='".$locale["blog228"]."'>\n";
			switch ($role){
				case "administrator":
					if ($row["cStatus"]=="P"){ echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/includes/exec.php?action=entry_unpublish&entryid=".$row["nEntryId"]."'>".$imgUnpublish."</a>"; }
					else { echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/includes/exec.php?action=entry_publish&entryid=".$row["nEntryId"]."'>".$imgPublish."</a>"; }
					echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_edit&entryid=".$row["nEntryId"]."'>".$imgEdit."</a>";
					echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_remove&entryid=".$row["nEntryId"]."'>".$imgDelete."</a>";
					break;
				case "author":
					//if ($row["nUserAdded"] == $userdata['user_id']){
						if ($row["cStatus"] == "P"){ echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/includes/exec.php?action=entry_unpublish&entryid=".$row["nEntryId"]."'>".$imgUnpublish."</a>"; }
						else { echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/includes/exec.php?action=entry_publish&entryid=".$row["nEntryId"]."'>".$imgPublish."</a>"; }
						echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_edit&entryid=".$row["nEntryId"]."'>".$imgEdit."</a>";
						echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_remove&entryid=".$row["nEntryId"]."'>".$imgDelete."</a>";
					//}
					break;
				case "contributor":
					if ($row["nUserAdded"] == $userdata['user_id']){
						if ($row["cStatus"] == "U"){
							echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_edit&entryid=".$row["nEntryId"]."'>".$imgEdit."</a>";
							echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_remove&entryid=".$row["nEntryId"]."'>".$imgDelete."</a>";
						}
					}
					break;
			}
			echo "</td></tr>\n";
		}
	} else { echo "<tr><td colspan='6' class='tbl2' align='center'><b>".$locale["blog212"]."</b></td></tr>\n"; }
	echo "</table>\n";
} else { die("Error :".$sql); }
closetable();
$way = INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_list";
if ($rows > $results_per_page) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,$results_per_page,$rows,3,$way."&")."\n</div>\n";
}

function ViewCommentList($role){
global $locale,$userdata;

opentable($locale["blog203"]);
AdminBlogItemDescr($locale["blog508"]);
if ($role == "administrator" ) { $where_clause = ""; }
else { $where_clause = " WHERE e.nUserAdded=".$userdata['user_id']; }
$results_per_page = 20;
if (isset($_REQUEST["list_from"])){ $list_from=$_REQUEST["list_from"]; } else { $list_from = 0; }
$sql = "SELECT * FROM ".DB_PREFIX."blog_comments c"
		." INNER JOIN ".DB_PREFIX."blog_entries e ON c.nEntryId=e.nEntryId"
		.$where_clause;
$result = dbquery($sql);
if ($result != false){ $count = dbrows($result); }
$sql = "SELECT * FROM ".DB_PREFIX."blog_comments c"
		." INNER JOIN ".DB_PREFIX."blog_entries e ON c.nEntryId=e.nEntryId".$where_clause
		." ORDER BY c.dAdded DESC LIMIT ".$list_from.",".$results_per_page;
$result = dbquery($sql);
if ($result != false){
	echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=verify_comments'>\n";
	echo "<table border='0' cellspacing='1' cellpadding='3'width='100%'>\n";
	if (dbrows($result)>0){
		echo "<tr>\n";
		echo "<td class='tbl2'><b>".$locale["blog231"]."</b></td>\n";
		echo "<td class='tbl2' width='50' align='center'><b>".$locale["blog232"]."</b></td>\n";
		echo "<td class='tbl2' width='50' align='center'><b>".$locale["blog233"]."</b></td>\n";
		echo "<td class='tbl2' width='50' align='center'><b>".$locale["blog226"]."</b></td>\n";
		echo "</tr>\n";
		while ($row = dbarray($result)){
			$commentid = $row["nCommentId"];
			$body      = nl2br(htmlspecialchars(stripslashes($row["cComment"]),ENT_QUOTES));
			$title     = stripslashes($row["cTitle"]);
			$entryid   = $row["nEntryId"];
			$name      = stripslashes($row["cName"]);
			$email     = stripslashes($row["cEMail"]);
			$url       = $row["cURL"]!="" ? " (<a href='".stripslashes($row["cURL"])."'>".$locale["blog234"]."</a>)" : "";
			$approve_checkbox = "";
			$reject_checkbox  = "";
			if ($role != "contributor"){
			  	if ( $row['approved'] == 1 ) { $app_check = "checked"; $rej_check = ""; } else { $app_check = ""; $rej_check = "checked";}
				$approve_checkbox = "<input type='radio' name='verify_".$commentid."' value='approve' ".$app_check.">";
				$reject_checkbox = "<input type='radio' name='verify_".$commentid."' value='reject' ".$rej_check.">";
				$remove_checkbox = "<input type='radio' name='verify_".$commentid."' value='remove'>";
				//$remove_checkbox = "<input type='checkbox' name='remove_".$commentid."' value='x'>";
			}
			echo "<tr><td class='tbl2'>".$body."<br><i>".$locale["blog235"]." ";
			echo "<a href='mailto:".$email."'>".$name."</a>".$url." | ";
			echo "<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=entry_view&entryid=".$entryid."'>".$title."</a> ";
			echo "| ".$row["dAdded"]." | ";
			echo "<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_edit&commentid=".$commentid."'>".$locale["blog224"]."</a></i></td>\n";
			echo "<td class='tbl2' align='center'>".$approve_checkbox."</td>\n";
			echo "<td class='tbl2' align='center'>".$reject_checkbox."</td>\n";
			echo "<td class='tbl2' align='center'>".$remove_checkbox."</td>\n";
			echo "</tr>\n";
			}
			if ($role!="contributor"){
				echo "<tr><td colspan='4' align='center'><input type='submit' class='text' value='".$locale["blog216"]."'></td></tr>\n";
			}
		} else {
			echo "<tr><td class='tbl2' align='center'>".$locale["blog256"]."</td></tr>\n";
		}
		echo "</table>\n</form>\n";
	} else { report_problem("HTML_ADMIN.PHP","BlogCategoryEdit",$sql); }
closetable();
}

function AddNewBlog($role){
global $locale,$userdata;
echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";

opentable($locale["blog201"]);
AdminBlogItemDescr($locale["blog509"]);
$result = dbquery("SELECT * FROM ".DB_PREFIX."blog_categories ORDER BY cCategoryName");
if ($result!=false){
	$cat_count = dbrows($result);
	if ($cat_count>0){
		while ($row =@ dbarray($result)){
			$html_categories .= "<table border='1' cellspacing='0' cellpadding='3' xwidth='100%'>";
			$html_categories .= "<tr><td class='tbl2'><input type='checkbox' name='cat".$row["nCategoryId"]."' value='x'>&nbsp;";
			$html_categories .= "".stripslashes($row["cCategoryName"])."</td></tr></table>\n";
		}
	} else { $html_categories = "<span class='tbl2'>".$locale["blog237"]."</span>"; }
} else { report_problem("HTML_ADMIN.PHP","AddNewBlog",$sql); }
if ($role!="contributor"){
	$html_publish = "<select name='status' class='textbox'><option value='P'>".$locale["blog214"]."</option><option value='U'>".$locale["blog215"]."</option></select>\n";
} else {
	$html_publish = "<span class='tbl2'>".$locale["blog215"]." (".$locale["blog238"].")</span>";
}

echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=entry_add'>\n";
echo "<table border='1' cellspacing='0' cellpadding='3' width='100%' class='tbl-border'>\n";
echo "<tr><td class='tbl2'>".$locale["blog220"]."</td>\n";
echo "<td class='tbl1'><input type='text' name='title' size='60' class='textbox'></td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog240"]."</td>\n";
echo "<td class='tbl1'><input type='text' name='dateadded' size='30' class='textbox' value='".date("Y-m-d H:i:s")."'></td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog213"]."</td>\n";
echo "<td class='tbl1'>";
if ($role!="contributor"){
	echo "<select name='status' class='textbox'>";
	echo "<option value='P'>".$locale["blog214"]."</option>";
	echo "<option value='U'>".$locale["blog215"]."</option></select>\n";
} else {
	echo "".$locale["blog215"]." (".$locale["blog238"].")";
}
echo "</td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog241"]."</td>\n";
echo "<td class='tbl1'><textarea name='bodyblog' id='bodyblog' rows='15' class='textbox' style='width=100%;'></textarea></td></tr>\n";
echo "<tr><td class='tbl2' valign='top'>".$locale["blog242"]."</td>\n";
echo "<td class='tbl1'><input type='hidden' name='catcount' value='".$cat_count."'>\n";
echo $html_categories;
echo "</td></tr>\n";
echo "<tr><td colspan='2' align='center'><input type='submit' class='button' value='".$locale["blog216"]."'></td></tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();
}

function EditBlog($entryid, $role){
global $locale,$userdata;
echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";

$entry_result = dbquery("SELECT * FROM ".DB_PREFIX."blog_entries WHERE nEntryId=".$entryid);
if (dbrows($entry_result)>0) { $entry_row = dbarray($entry_result); }
$entcat_result = dbquery("SELECT * FROM ".DB_PREFIX."blog_entry_categories WHERE nEntryId=".$entryid);
if (dbrows($entcat_result)>0){
	while ($entcat_row=dbarray($entcat_result)) {
		$a_entry_categories[$entcat_row["nCategoryId"]]="x";
	}
}
$cat_result = dbquery("SELECT * FROM ".DB_PREFIX."blog_categories ORDER BY cCategoryName");
$cat_count = dbrows($cat_result);
if ($cat_count>0){
	$html_categories = "";
	while ($cat_row = dbarray($cat_result)){
		if ($a_entry_categories[$cat_row["nCategoryId"]]!=""){ $checked = "checked"; }
		else { $checked = ""; }
		$html_categories .= "<table border='0' cellspacing='0' cellpadding='0'><tr><td><input type='checkbox' name='cat".$cat_row["nCategoryId"]."' value='x' ".$checked."></td><td>".stripslashes($cat_row["cCategoryName"])."</td></tr></table>\n";
	}
} else { $html_categories = "<span class='tbl2'>".$locale["blog237"]."</span>"; }

if ($entry_row["cStatus"]=="P"){ $select_published = "selected"; $select_unpublished = ""; }
else { $select_published = ""; $select_unpublished = "selected"; }

if ($role!="contributor") {
	$html_publish = "<select name='status' class='textbox'><option value='P' ".$select_published.">".$locale["blog214"]."</option><option value='U' ".$select_unpublished.">".$locale["blog215"]."</option></select>\n";
} else {
	$html_publish = "<span class='tbl2'>".$locale["blog215"]." (".$locale["blog238"].")</span>";
}

if ($userdata['user_id']==$entry_row["nUserAdded"] || $role == "administrator"){
  	opentable($locale["blog269"]);
  	AdminBlogItemDescr($locale["blog510"]);
	$body = $entry_row["cBody"];
	echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=entry_edit'>\n";
	echo "<input type='hidden' name='entryid' value='".$entry_row["nEntryId"]."'>\n";
	echo "<table align='left' border='0' cellspacing='1' cellpadding='3' bgcolor='#cccccc' width='100%'>\n";
	echo "<tr><td class='tbl2'>".$locale["blog220"]."</td>\n";
	echo "<td class='tbl1'><input type='text' name='title' size='60' class='textbox' value='".htmlspecialchars(stripslashes($entry_row["cTitle"]),ENT_QUOTES)."'></td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog240"]."</td>\n";
	echo "<td class='tbl1'><input type='text' name='dateadded' size='30' class='textbox' value='".stripslashes($entry_row["dAdded"])."'></td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog213"]."</td>\n";
	echo "<td class='tbl1'>".$html_publish."</td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog241"]."</td>\n";
	echo "<td class='tbl1'><textarea name='bodyblog' id='bodyblog' cols='80' rows='15' class='textbox' Xstyle='width=100%;'>".htmlspecialchars(stripslashes($body))."</textarea></td></tr>\n";
	echo "<tr><td class='tbl2' valign='top'>".$locale["blog242"]."</td>\n";
	echo "<td class='tbl1'><input type='hidden' name='catcount' value='".$cat_count."'>".$html_categories."</td></tr>\n";
	echo "<tr><td colspan='2' class='tbl2' align='center'><input type='submit' value='".$locale["blog244"]."' class='button'></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n";
	closetable();
}

}

function DeleteBlog($entryid,$role){

	global $locale;

	$result = dbquery("SELECT * FROM ".DB_PREFIX."blog_entries WHERE nEntryId=".$entryid);
	if (dbrows($result)>0){ $entry_row = dbarray($result); }

	$sql = "SELECT entcat.nCategoryId,cat.cCategoryName FROM ".DB_PREFIX."blog_entry_categories entcat"
		." INNER JOIN ".DB_PREFIX."blog_categories cat ON entcat.nCategoryId=cat.nCategoryId"
		." WHERE entcat.nEntryId=".$entryid;

	$entcat_result = dbquery($sql);
	if (dbrows($entcat_result)>0){
		while ($entcat_row=dbarray($entcat_result)){
			$html_catlist .= stripslashes($entcat_row["cCategoryName"])."&nbsp;";
		}
	} else { $html_catlist = $locale["blog245"]; }
	if (($userdata['user_id']==$entry_row["nUserAdded"] && $role!="contributor") || $role=="administrator"){
		opentable($locale["blog246"]);
		AdminBlogItemDescr($locale["blog511"]);
		echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=entry_remove'>\n";
		echo "<input type='hidden' name='entryid' value='".$entry_row["nEntryId"]."'>\n";
		echo "<table align='left' border='0' cellspacing='1' cellpadding='3' bgcolor='#cccccc'>\n";
		echo "<tr><td class='tbl2'>".$locale["blog220"]."</td><td class='tbl2'>".stripslashes($entry_row["cTitle"])."</td></tr>\n";
		echo "<tr><td class='tbl2'>".$locale["blog219"]."</td><td class='tbl2'>".stripslashes($entry_row["dAdded"])."</td></tr>\n";
		echo "<tr><td class='tbl2'>".$locale["blog242"]."</td><td class='tbl2'>".$html_catlist."</td></tr>\n";
		echo "<tr><td class='tbl2'>".$locale["blog241"]."</td><td class='tbl2'>".nl2br(htmlspecialchars(stripslashes($entry_row["cBody"])))."</td></tr>\n";
		echo "<tr><td colspan='3' class='tbl2' align='right'><input type='submit' value='".$locale["blog246"]."' class='button'></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		closetable();
	}

}

function ViewBlogEntry($entryid, $role){
global $locale;

opentable($locale["blog248"]);
AdminBlogItemDescr($locale["blog512"]);
$sql = "SELECT * FROM ".DB_PREFIX."blog_entries WHERE nEntryId=".$entryid;
$entry_result = dbquery($sql);
if (dbrows($entry_result)>0){ $entry_row = dbarray($entry_result); }

$sql = "SELECT entcat.nCategoryId,cat.cCategoryName FROM ".DB_PREFIX."blog_entry_categories entcat"
		." INNER JOIN ".DB_PREFIX."blog_categories cat ON entcat.nCategoryId=cat.nCategoryId"
		." WHERE entcat.nEntryId=".$entryid;

$entcat_result = dbquery($sql);
if (dbrows($entcat_result)>0){
	while ($entcat_row=dbarray($entcat_result)){
			$html_catlist .= stripslashes($entcat_row["cCategoryName"])."&nbsp;";
	}
} else { $html_catlist = $locale["blog245"]; }

echo "<table align='left' border='0' cellspacing='1' cellpadding='3' bgcolor='#cccccc'>\n";
echo "<tr><td class='tbl2'>".$locale["blog220"]."</td><td class='tbl2'>".stripslashes($entry_row["cTitle"])."</td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog240"]."</td><td class='tbl2'>".stripslashes($entry_row["dAdded"])."</td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog242"]."</td><td class='tbl2'>".$html_catlist."</td></tr>\n";
echo "<tr><td class='tbl2'>".$locale["blog241"]."</td><td class='tbl2'>".nl2br(htmlspecialchars(stripslashes($entry_row["cBody"])))."</td></tr>\n";
echo "<tr><td colspan='2' class='tbl2'><b>".$locale["blog221"]."</b></td></tr>\n";
$comment_result = dbquery("SELECT * FROM ".DB_PREFIX."blog_comments WHERE nEntryId=".$entryid." ORDER BY dAdded");
if ($comment_result!=false){
	if (dbrows($comment_result)>0){
		echo "<tr><td colspan='2' class='tbl2'>\n";
		echo "<table border='0' cellspacing='1' cellpadding='3' width='100%' bgcolor='#cccccc'>\n";
		while ($comment_row =@ mysql_fetch_array($comment_result)){
			$comment = htmlspecialchars(stripslashes($comment_row["cComment"]));
			$name = htmlspecialchars(stripslashes($comment_row["cName"]));
			if ($comment_row["cEMail"]!=""){
				$email = "(<a href='mailto:".htmlspecialchars(stripslashes($comment_row["cEMail"]))."'>".$locale["blog250"]."</a>)&nbsp;";
			} else { $email = "&nbsp;"; }
			if ($comment_row["cURL"]!=""){
				$url = "(<a href='".htmlspecialchars(stripslashes($comment_row["cURL"]))."'>".$locale["blog234"]."</a>)&nbsp;";
			} else { $url = "&nbsp;"; }
			$date_added = htmlspecialchars(stripslashes($comment_row["dAdded"]));
			echo "<tr><td class='small'>\n";
			echo "<span class='tbl2'>".$comment."</span>\n";
			echo "<br>".$locale["blog235"]." ".$name." ".$locale["blog251"]." ".$date_added." ".$email." ".$url."\n";
			echo "</td><td class='small' align='center' width='75'>\n";
			echo "<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_edit&commentid=".$comment_row["nCommentId"]."'>".$locale["blog224"]."</a>\n";
			echo "<br><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=comment_remove&commentid=".$comment_row["nCommentId"]."'>".$locale["blog226"]."</a>\n";
			echo "</td></tr>\n";
		}
		echo "</table>\n";
		echo "</td></tr>\n";
	} else { echo "<tr><td colspan='4' class='tbl2' align='center'>".$locale["blog252"]."</td></tr>\n"; }
} else { report_problem("HTML_ADMIN.PHP","ViewBlogEntry",$sql); }
echo "</table>\n";
closetable();
}

function BlogCommentEdit($comment_id, $role){
global $locale;

opentable($locale["blog253"]);
AdminBlogItemDescr($locale["blog513"]);
$sql = "SELECT * FROM ".DB_PREFIX."blog_comments WHERE nCommentId=".$comment_id;
$result = dbquery($sql);
if (mysql_num_rows($result)>0){
	$row = dbarray($result);
	$entry_id = $row["nEntryId"];
	$name = stripslashes($row["cName"]);
	$email = stripslashes($row["cEMail"]);
	$url = stripslashes($row["cURL"]);
	$body = stripslashes($row["cComment"]);
	echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=comment_edit'>\n";
	echo "<input type='hidden' name='entryid' value='".$entry_id."'>\n";
	echo "<input type='hidden' name='commentid' value='".$comment_id."'>\n";
	echo "<table border='0' cellspacing='1' cellpadding='3' bgcolor='#cccccc'>\n";
	echo "<tr><td class='tbl2'>".$locale["name"]."</td>\n";
	echo "<td><input type='text' name='name' class='textbox' value='".$name."' size='30'></td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog250"]."</td>\n";
	echo "<td><input type='text' name='email' class='textbox' value='".$email."' size='40'></td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog234"]."</td>\n";
	echo "<td><input type='text' name='url' class='textbox' value='".$url."' size='50'></td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog241"]."</td>\n";
	echo "<td><textarea name='body' class='textbox' cols='50' rows='3'>".$body."</textarea></td></tr>\n";
	echo "<tr><td colspan='2' align='center'><input type='submit' value='".$locale["blog244"]."'></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n";
} else { echo "<p class='tbl2'>".$locale["blog256"]."</p>\n"; }
closetable();
}

function DeleteComment($comment_id){
global $locale;

opentable($locale["blog257"]);
AdminBlogItemDescr($locale["blog514"]);
$sql = "SELECT * FROM ".DB_PREFIX."blog_comments WHERE nCommentId=".$comment_id;
$result = dbquery($sql);
if (dbrows($result)>0){
	$row = dbarray($result);
	$entry_id = $row["nEntryId"];
	$name     = stripslashes($row["cName"]);
	$email    = stripslashes($row["cEMail"]);
	$url      = stripslashes($row["cURL"]);
	$body     = stripslashes($row["cComment"]);
	echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=comment_remove'>\n";
	echo "<input type='hidden' name='entryid' value='".$entry_id."'>\n";
	echo "<input type='hidden' name='commentid' value='".$comment_id."'>\n";
	echo "<table border='0' cellspacing='1' cellpadding='3' bgcolor='#cccccc'>\n";
	echo "<tr><td class='tbl2'>".$locale["blog255"]."</td>\n";
	echo "<td class='tbl2'>".$name."</td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog250"]."</td>\n";
	echo "<td class='tbl2'>".$email."</td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog234"]."</td>\n";
	echo "<td class='tbl2'>".$url."</td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale["blog241"]."</td>\n";
	echo "<td class='tbl2'>".$body."</td></tr>\n";
	echo "<tr><td colspan='2' align='right'><input type='submit' value='".$locale["blog257"]."'></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n";

		} else { echo "<p class='tbl2'>".$locale["blog256"]."</p>\n"; }
closetable();
}

function BlogCategoryList($role) {
global $locale;

opentable($locale["blog206"]);
AdminBlogItemDescr($locale["blog515"]);
$imgDelete = "<img src='".INFUSIONS."pfblog_panel/images/fm_delete.gif' border='0' title='".$locale["blog226"]."' alt='".$locale["blog226"]."'>\n";
$imgEdit = "<img src='".INFUSIONS."pfblog_panel/images/fm_edit.gif' border='0' title='".$locale["blog224"]."' alt='".$locale["blog224"]."'>\n";
echo "<table align='left' border='0' cellspacing='1' cellpadding='3' bgcolor='#cccccc'>\n";
echo "<tr><td bgcolor='#dddddd' class='tbl2'>".$locale["blog260"]."</td>\n";
echo "<td bgcolor='#dddddd' class='tbl2'>".$locale["blog223"]."</td>\n";
echo "</tr>\n";
$sql = "SELECT * FROM ".DB_PREFIX."blog_categories ORDER BY cCategoryName";
$result = dbquery($sql);
if (dbrows($result)>0){
	while ($row= dbarray($result)){
		echo "<tr>\n";
		echo "<td class='tbl2'>".stripslashes($row["cCategoryName"])."</td>\n";
		echo "<td class='tbl2'>\n";
		echo "<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=category_edit&categoryid=".$row["nCategoryId"]."'>".$imgEdit."</a>\n";
		echo "&nbsp;<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=category_remove&categoryid=".$row["nCategoryId"]."'>".$imgDelete."</a>\n";
		echo "</td></tr>\n";
	}
} else { echo "<tr><td colspan='2' class='tbl2' align='center'>".$locale["blog237"]."</td></tr>\n"; }
echo "</table>\n";
closetable();
}

function BlogUserList($sortby, $rowstart) {
global $locale;

$imgEdit = "<img src='".INFUSIONS."pfblog_panel/images/fm_edit.gif' border='0' title='".$locale["blog224"]."' alt='".$locale["blog224"]."'>\n";

if (!isset($sortby) || !preg_match("/^[A-Z]$/", $sortby)) $sortby = "all";
$orderby = ($sortby == "all" ? " WHERE user_id<>'1'" : " WHERE user_id<>'1' AND user_name LIKE '".stripinput($sortby)."%'");
$result = dbquery("SELECT * FROM ".DB_PREFIX."users".$orderby."");
$rows = dbrows($result);
opentable($locale["blog204"]." (".$rows.")");
AdminBlogItemDescr($locale["blog516"]);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if ($rows != 0) {
	$i = 0;
	echo "<table align='left' border='1' cellspacing='0' cellpadding='3' width='100%'>\n";
	echo "<tr>\n";
	echo "<td align='center' class='tbl2'><b>".$locale["blog263"]."</b></td>\n";
	echo "<td align='center' class='tbl2'><b>".$locale["blog264"]."</b></td>\n";
	echo "<td align='center' class='tbl2'><b>".$locale["blog265"]."</b></td>\n";
	echo "<td align='center' class='tbl2'><b>".$locale["blog250"]."</b></td>\n";
	echo "<td align='center' class='tbl2'><b>".$locale["blog223"]."</b></td>\n";
	echo "</tr>\n";
	$result = dbquery("SELECT * FROM ".DB_PREFIX."users".$orderby." ORDER BY user_level DESC, user_name LIMIT $rowstart,20");
	while ($row=dbarray($result)){
		if ($row["user_blogrole"] == "") {
		  	$class = "noblogrole";
		  	$role = "xxxxxx";
		} else {
		  	$class = "tbl1";
			switch(stripslashes($row["user_blogrole"])){
				case "administrator": $role = $locale["blog239"]; break;
				case "author":        $role = $locale["blog222"]; break;
				case "contributor":        $role = $locale["blog238"]; break;
			}
		}
		echo "<tr>\n";
		echo "<td class='".$class."'>\n<a href='".BASEDIR."profile.php?lookup=".$row['user_id']."'>".$row['user_name']."</a></td>\n";
		echo "<td align='center' width='1%' class='".$class."' style='white-space:nowrap'>".getuserlevel($row['user_level'])."</td>";		
		echo "<td align='center' class='".$class."' nowrap>".$role."</td>\n";
		echo "<td class='".$class."' width='100%'><a href='mailto:".stripslashes($row["user_email"])."'>".stripslashes($row["user_email"])."</a></td>\n";
		echo "<td class='".$class."' align='center'>\n";
		echo "<a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_edit&userid=".$row["user_id"]."'>".$imgEdit."</a>\n";
		echo "</td></tr>\n";
	}
} else { echo "<tr><td colspan='4' class='tbl1' align='center'>".$locale["blog266"]." ".$sortby."<br><br></td></tr>\n"; }
echo "</table>";
closetable();
$search = array( "A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9");
$way = INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_list";
echo "<hr><table align='center' cellpadding='0' cellspacing='1' class='tbl-border'><tr>\n";
echo "<td rowspan='2' class='tbl2'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_list&sortby=all'><b>Tutti</b></a></td>";
for ($i=0;$i < 36!="";$i++) {
	echo "<td align='center' class='tbl1'>\n";
	echo "<div class='small'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_list&sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
	echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php?action=user_list&sortby=all'><b>Tutti</b></a></td>\n</tr>\n<tr>\n" : "\n");
}
echo "</tr>\n";
echo "</table>\n";

if ($rows > 20) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,20,$rows,3,$way."&sortby=$sortby&")."\n</div>\n";

}


function BlogUserEdit($userid) {
global $locale;

opentable($locale["blog267"]);
AdminBlogItemDescr($locale["blog517"]);
$sql = "SELECT * FROM ".DB_PREFIX."users WHERE user_id=".$userid;
$result = dbquery($sql);
if (dbrows($result)>0){
	$row = dbarray($result);
	$username = htmlspecialchars(stripslashes($row["user_name"]),ENT_QUOTES);
	$email    = stripslashes($row["user_email"]);
	$role     = stripslashes($row["user_blogrole"]);
	if ($role == "") { $role = "contributor"; }
	switch($role){
		case "administrator":
			$select_administrator = "selected";
			$select_author = "";
			$select_contributor = "";
			$html_role_select = "<select name='role' class='textbox'>
						<option value='administrator' ".$select_administrator.">".$locale["blog239"]."</option>
						<option value='author' ".$select_author.">".$locale["blog222"]."</option>
						<option value='contributor' ".$select_contributor.">".$locale["blog238"]."</option></select>";
			break;
		case "author":
			$select_administrator = "";
			$select_author = "selected";
			$select_contributor = "";
			$html_role_select = "<select name='role' class='textbox'>
						<option value='administrator' ".$select_administrator.">".$locale["blog239"]."</option>
						<option value='author' ".$select_author.">".$locale["blog222"]."</option>
						<option value='contributor' ".$select_contributor.">".$locale["blog238"]."</option></select>";
			
			break;
		case "contributor":
			$select_administrator = "";
			$select_author = "";
			$select_contributor = "selected";
			$html_role_select = "<select name='role' class='textbox'>
						<option value='administrator' ".$select_administrator.">".$locale["blog239"]."</option>
						<option value='author' ".$select_author.">".$locale["blog222"]."</option>
						<option value='contributor' ".$select_contributor.">".$locale["blog238"]."</option></select>";
			break;
	}
} else { report_problem("HTML_ADMIN.PHP","BlogUserEdit","No_user_found"); }

echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=user_edit'>\n";
echo "<input type='hidden' name='userid' value='".$userid."'>\n";
echo "<table align='left' border='0' cellspacing='1' cellpadding='3'>\n";
echo "<tr><td class='tbl2' align='right'><b>".$locale["blog263"]."</b></td><td class='tbl1'>".$username."</td></tr>\n";
echo "<tr><td class='tbl2' align='right'><b>".$locale["blog250"]."</b></td><td class='tbl1'>".$email."</td></tr>\n";
echo "<tr><td class='tbl2' align='right'><b>".$locale["blog265"]."</b></td><td class='tbl1'>".$html_role_select."</td></tr>\n";
echo "<tr><td colspan='2' align='center' class='tbl2'><input type='submit' value='".$locale["blog244"]."' class='button'></td></tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();
}

function BlogCategoryRemove($categoryid, $role){

global $locale;

opentable($locale["blog261"]);
AdminBlogItemDescr($locale["blog518"]);
$sql = "SELECT * FROM ".DB_PREFIX."blog_categories WHERE nCategoryId=".$categoryid;
$result = dbquery($sql);
if (dbrows($result)>0){
	$row = dbarray($result);
	$category_name = stripslashes($row["cCategoryName"]);
} else { report_problem("HTML_ADMIN.PHP","BlogCategoryRemove","No_records_found"); }

echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=category_remove&categoryid=".$categoryid."'>\n";
echo "<table align='left' border='1' cellspacing='1' cellpadding='3'>\n";
echo "<tr><td class='tbl2'>".$locale["blog211"]."</td>\n";
echo "<td class='tbl1'>".$category_name."</td></tr>\n";
echo "<tr><td colspan='2' align='center'><input type='submit' value='".$locale["blog261"]."' class='button'></td></tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();
}

function BlogCategoryAdd( $role ){
global $locale;

opentable($locale["blog205"]);
AdminBlogItemDescr($locale["blog519"]);
echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=category_add'>\n";
echo "<table align='left' border='0' cellspacing='0' cellpadding='3' class='tbl-border'>\n";
echo "<tr><td class='tbl2'>".$locale["blog211"]."</td>\n";
echo "<td class='tbl2'><input type='text' name='category_name' class='textbox' size='30'></td></tr>\n";
echo "<tr><td colspan='2' align='center' class='tbl2'><input type='submit' value='".$locale["blog216"]."' class='button'></td></tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();
}

function BlogCategoryEdit($categoryid, $role ){
global $locale;

opentable($locale["blog229"]);
AdminBlogItemDescr($locale["blog520"]);
$sql = "SELECT * FROM ".DB_PREFIX."blog_categories WHERE nCategoryId=".$categoryid;
$result = dbquery($sql);
if (dbrows($result)>0){
	$row =dbarray($result);
	$category_name = htmlspecialchars(stripslashes($row["cCategoryName"]),ENT_QUOTES);
	echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=category_edit'>\n";
	echo "<input type='hidden' name='categoryid' value='".$categoryid."'>\n";
	echo "<table align='left' border='0' cellspacing='1' cellpadding='3' bgcolor='#cccccc'>\n";
	echo "<tr><td class='tbl2'>".$locale["blog211"]."</td><td><input type='text' name='category_name' class='textbox' size='30' value='".$category_name."'></td></tr>\n";
	echo "<tr><td colspan='2' align='right'><input type='submit' value='".$locale["blog244"]."' class='button'></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n";
} else { report_problem("HTML_ADMIN.PHP","BlogCategoryEdit","Record_not_found"); }
closetable();
}

function BlogSettings( $role ){

global $locale,$userdata;

	$rich_editing     = get_setting("rich_editing");
	$rss_root_url     = get_setting("rss_root_url");
	$rss_title        = get_setting("rss_title");
	$rss_description  = get_setting("rss_description");
	$rss_copyright    = get_setting("rss_copyright");
	$rss_editor       = get_setting("rss_editor");
	$rss_webmaster    = get_setting("rss_webmaster");
	$rss_category     = get_setting("rss_category");
	$rss_ttl          = get_setting("rss_ttl"); // 60 = default
	$rss_image        = get_setting("rss_image");

	opentable($locale["blog300"]);
	AdminBlogItemDescr($locale["blog521"]);
	echo "<br><table align='left' border='0' cellspacing='1' cellpadding='3' width='100%'>\n";
	echo "<form method='POST' action='".INFUSIONS."pfblog_panel/includes/exec.php?action=settings_edit'>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog301"]."</td>\n";
	echo "<td><input type='text' name='rss_root_url' class='textbox' size='60' value='".$rss_root_url."'></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog302"]."</td>\n";
	echo "<td><input type='text' name='rss_title' class='textbox' size='60' value='".$rss_title."'></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog303"]."</td>\n";
	echo "<td><textarea name='rss_description' class='textbox' cols='50' rows='2'>".$rss_description."</textarea></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog304"]."</td>\n";
	echo "<td><input type='text' name='rss_copyright' class='textbox' size='50' value='".$rss_copyright."'></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog305"]."</td>\n";
	echo "<td><input type='text' name='rss_editor' class='textbox' size='50' value='".$rss_editor."'></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog306"]."</td>\n";
	echo "<td><input type='text' name='rss_webmaster' class='textbox' size='50' value='".$rss_webmaster."'></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog211"]."</td>\n";
	echo "<td><input type='text' name='rss_category' class='textbox' size='30' value='".$rss_category."'></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog307"]."</td>\n";
	echo "<td class='tbl2'><input type='text' name='rss_ttl' class='textbox' size='10' value='".$rss_ttl."'> (".$locale["blog506"].")</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale["blog308"]."</td>\n";
	echo "<td class='tbl2'><input type='text' name='rss_image' class='textbox' size='50' value='".$rss_image."'></td>\n";
	echo "</tr>\n";
	echo "<tr><td colspan='2' align='center' class='tbl2'><input type='submit' value='".$locale["blog244"]."' class='button'></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n";
	closetable();

}
function AdminBlogItemDescr ( $title ) {
echo "<table border='0' cellspacing='0' cellpadding='3' width='100%'>\n";
echo "<tr><td class='tbl2'>".$title."</td></tr>\n";
echo "</table>\n";
}

function GestImages($role,$view="",$del="",$status="",$img=""){
global $locale,$userdata;

$EXITWAY = INFUSIONS."pfblog_panel/pfblog_admin.php?action=gest_image";
$afolder = INFUSIONS."pfblog_panel/uploads/images/"; 

if (isset($status)) {
	if ($status == "del") {
		$title = $locale["blog400"];
		$message = "<b>".$locale["blog401"]."</b>";
	} elseif ($status == "upn") {
		$title = $locale["blog420"];
		$message = "<b>".$locale["blog425"]."</b>";
	} elseif ($status == "upy") {
		$title = $locale["blog420"];
		$message = "<img src='".$afolder.$img."' alt='$img'><br><br>\n<b>".$locale["blog426"]."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($del)) {
	unlink($afolder."$del");
	if ($settings['tinymce_enabled'] == 1) buildlist_image($role);
	redirect($EXITWAY."&status=del");
} else if (isset($_POST['uploadimage'])) {
	$error = "";
	$image_types = array(
		".gif",
		".GIF",
		".jpeg",
		".JPEG",
		".jpg",
		".JPG",
		".png",
		".PNG"
	);
	$imgext = strrchr($_FILES['myfile']['name'], ".");
	$imgnamepos = strrpos($_FILES['myfile']['name'], ".");
	$imagename = substr($_FILES['myfile']['name'], 0,$imgnamepos);
	$imgname = $imagename."[u".$userdata['user_id']."]".$imgext;
	//$imgname = $_FILES['myfile']['name'];
	$imgsize = $_FILES['myfile']['size'];
	$imgtemp = $_FILES['myfile']['tmp_name'];
	if (!in_array($imgext, $image_types)) {
		redirect($EXITWAY."&status=upn");
	} elseif (is_uploaded_file($imgtemp)){
		move_uploaded_file($imgtemp, $afolder.$imgname);
		chmod($afolder.$imgname,0644);
		if ($settings['tinymce_enabled'] == 1) buildlist_image($role);
		redirect($EXITWAY."&status=upy&img=$imgname");
	}
} else {
	opentable($locale["blog420"]);
	echo "<form name='uploadform' method='post' action='".$EXITWAY."' enctype='multipart/form-data'>\n";
	echo "<input type='hidden' name='action' value='gest_image'>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='350'>\n";
	echo "<tr><td width='80' class='tbl'>".$locale["blog421"]."</td>\n";
	echo "<td class='tbl'><input type='file' name='myfile' class='textbox' style='width:250px;'></td>\n";
	echo "</tr>\n";
	echo "<tr><td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='uploadimage' value='".$locale["blog420"]."' class='button' style='width:100px;'></td>\n";
	echo "</tr></table></form>\n";
	closetable();
	tablebreak();
	if (isset($view)) {
		opentable($locale["blog440"]);
		echo "<center><br>\n";
		$image_ext = strrchr($afolder.$view,".");
		if (in_array($image_ext, array(".gif",".GIF",".jpg",".JPG",".jpeg",".JPEG",".png",".PNG"))) {
			echo "<img src='".$afolder.$view."' alt='$view'><br><br>\n";
		} else {
			echo $locale["blog441"]."<br><br>\n";
		}
		echo "<a href='".$EXITWAY."&del=$view'>".$locale["blog442"]."</a><br><br>\n";
		echo "<a href='".$EXITWAY."'>".$locale["blog402"]."</a><br><br>\n</center>\n";
		closetable();
	} else {
		//$image_list = makefilelist($afolder, ".|..|imagelist.js|index.php", true);
		$filter = array(".", "..", "/","imagelist.js","index.php");
		$temp = opendir($afolder);
		if ( $role == "administrator" ) {
		  	while ($file = readdir($temp)) {
				if (!in_array($file, $filter) && !is_dir($file)) { $image_list[] = $file; }
			}
		} else {
			while ($file = readdir($temp)) {
			  	$userid = "";
			  	$initpos = "";
				if (!in_array($file, $filter) && !is_dir($file)) {
					$initpos = strrpos($file,"[u")+2;
				  	$lastpos = strrpos($file,"]"); 
				  	$lenID = $lastpos - ($initpos);
				  	$userid = substr($file,$initpos,$lenID);
				  	if ( $userid == $userdata['user_id'] ) { $image_list[] = $file; }
				}
			} 
		}
		closedir($temp);
		//sort($image_list);
		if ($image_list) { $image_count = count($image_list); }
		opentable($locale["blog460"]);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>\n";
		if ( $role == "administrator" ) { $title = $locale["blog423"]; } else { $title = $locale["blog422"]; }
		echo "<tr><td align='center' colspan='2' class='tbl2'>".$title."</td></tr>\n";
		if ($image_list) {
			for ($i=0;$i < $image_count;$i++) {
				if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
				echo "<tr>\n<td class='$row_color'>$image_list[$i]</td>\n";
				echo "<td align='right' width='1%' class='$row_color' style='white-space:nowrap'>\n";
				echo "<a href='".$EXITWAY."&view=$image_list[$i]'>".$locale["blog461"]."</a> -\n";
				echo "<a href='".$EXITWAY."&del=$image_list[$i]'>".$locale["blog462"]."</a></td>\n";
				echo "</tr>\n";
			}
			if ($settings['tinymce_enabled'] == 1) {
				echo "<tr>\n<td align='center' colspan='2' class='tbl1'>\n";
				echo "<a href='pfblog_admin.php?action=update'>".$locale["blog464"]."</a></td>\n</tr>\n";
			}
		} else {
			echo "<tr>\n<td align='center' class='tbl1'>".$locale["blog463"]."</td>\n</tr>\n";
		}
		echo "</table>\n";
		closetable();
	}
}

 
}
?>