<?php
/*
#************* PROBLEM.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pfblog_panel/locale/English.php";
}
opentable("Error!!");
echo "<table border='1' cellspacing='0' cellpadding='3' width='100%' align='center' class='tbl-border'>\n";
echo "<tr><td class='tbl2' align='left' colspan='2'><b>".$locale["blog900"]."</b></td></tr>\n";
echo "<tr><td class='tbl2' align='left' nowrap><b>".$locale["blog901"]."</b></td><td class='tbl1' width='100%'>".$r."</td></tr>\n";
echo "<tr><td class='tbl2' align='left' nowrap><b>".$locale["blog902"]."</b></td><td class='tbl1' width='100%'>".$f."</td></tr>\n";
echo "<tr><td class='tbl2' align='left' nowrap><b>".$locale["blog903"]."</b></td><td class='tbl1' width='100%'>".$p."</td></tr>\n";
echo "</table>\n";
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>