/*
#************* DANISH.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

// Infusion titles & description
$locale['blog100'] = "PFBlog System";
$locale['blog101'] = "Blog System til PHP-Fusion";
$locale['blog102'] = "PFBlog";

// Month and Day Names
// -------------------
$lo_tmois = array("Januar", "Februar", "Marts", "April", "Maj", "Juni", "Juli", "August", "September", "Oktober", "November", "December");
$lo_tmoisBR = Array("Jan","Feb","Mar","Apr","Maj","Jun","Jul","Aug","Sep","Okt","Nov","Dec");
$lo_tjours = array("Mandag", "Tirsdag", "Onsdag", "Torsdag", "Fredag", "Lrdag", "Sndag");
$lo_days = Array("Man", "Tir", "Ons", "Tor", "Fre", "Lr", "Sn");
$tdaysBR = array("M","T","O","T","F","L","S");

// General Words, Phrases and Sentences
// ------------------------------------

//Administration
$locale["blog200"] = "PFBlog System - Administration ";
$locale["blog201"] = "Tilfj indlg";
$locale["blog202"] = "Vis indlg";
$locale["blog203"] = "Vis kommentarer";
$locale["blog204"] = "Vis brugere";
$locale["blog205"] = "Tilfj kategori";
$locale["blog206"] = "Vis kategorier";
$locale["blog207"] = "Indstillinger";
$locale["blog208"] = "Filer";
$locale["blog209"] = "Ingen indlgsliste";
$locale["blog210"] = "Ngleord";
$locale["blog211"] = "Kategori";
$locale["blog212"] = "Ikke fundet";
$locale["blog213"] = "Status";
$locale["blog214"] = "Offentliggjort";
$locale["blog215"] = "Ikke offentliggjort";
$locale["blog216"] = "Send";
$locale["blog217"] = "Vis resultater (";
$locale["blog218"] = " indlg i alt) : ";
$locale["blog219"] = "Tilfjet d.";
$locale["blog220"] = "Titel";
$locale["blog221"] = "Kommentarer";
$locale["blog222"] = "Forfatter";
$locale["blog223"] = "Valg";
$locale["blog224"] = "Rediger dette indlg";
$locale["blog225"] = "Se";
$locale["blog226"] = "Fjern dette indlg";
$locale["blog227"] = "Offentliggr dette indlg";
$locale["blog228"] = "Skjul dette indlg";
$locale["blog229"] = "Rediger kategori";
$locale["blog230"] = "Kategoriseret";
$locale["blog231"] = "Kommentar";
$locale["blog232"] = "Godkend";
$locale["blog233"] = "Afvis";
$locale["blog234"] = "URL";
$locale["blog235"] = "af";
$locale["blog236"] = "Se indlg i denne kategori";
$locale["blog237"] = "Der er ikke oprettet kategorier.";
$locale["blog238"] = "Bidragyder";
$locale["blog239"] = "Administrator";
$locale["blog240"] = "Dato";
$locale["blog241"] = "Tekst";
$locale["blog242"] = "Kategorier";
$locale["blog243"] = "Underretning om kommentarer";
$locale["blog244"] = "Gem ndringer";
$locale["blog245"] = "Ikke tilknyttet nogen kategori";
$locale["blog246"] = "Fjern indlg";
$locale["blog247"] = "Gsteindlg per side";
$locale["blog248"] = "Se indlg";
$locale["blog249"] = "Admin resultater per side";
$locale["blog250"] = "Email";
$locale["blog251"] = "d.";
$locale["blog252"] = "Dette indlg har endnu ikke nogen kommentar.";
$locale["blog253"] = "Rediger kommentar";
$locale["blog254"] = "Kommentar kode";
$locale["blog255"] = "Navn";
$locale["blog256"] = "Ingen godkendte kommentarer fundet.";
$locale["blog257"] = "Fjern kommentar";
$locale["blog258"] = "Stigende";
$locale["blog259"] = "Faldende";
$locale["blog260"] = "Kategorinavn";
$locale["blog261"] = "Fjern kategori";
$locale["blog262"] = "Kommentarsortering";
$locale["blog263"] = "Brugernavn";
$locale["blog264"] = "Niveau";
$locale["blog265"] = "Rolle";
$locale["blog266"] = "Der er ingen brugere";
$locale["blog267"] = "Rediger bruger";
$locale["blog268"] = "Godkend kommentarer";
$locale["blog269"] = "Rediger indlg";
$locale["blog270"] = "Navigation ...";
$locale["blog271"] = "Forrige:";
$locale["blog272"] = "Nste:";
$locale["blog273"] = "Tilfj ny kommentar";
$locale["blog274"] = "vil ikke blive vist";
$locale["blog275"] = "Indsendte kommentarer";
$locale["blog276"] = "Din kommentar er nu indsendt - den vil blive synlig nr den er blevet godkendt.";
$locale["blog277"] = "Problem med kommentar";
$locale["blog278"] = "Du har forsgt at indsende en kommentar, men enten har du indtastet en forkert kommentar kode eller du har glemt et krvet felt.";
$locale["blog279"] = "Ingen indlg at vise";
$locale["blog280"] = "Der er ingen indlg indenfor det afsgte omrde.";
$locale["blog281"] = "Bookmark denne side";
$locale["blog282"] = "Se kommentarer";
$locale["blog283"] = "Billed administration";
$locale["blog284"] = "G til administration";
$locale["blog285"] = "Kalender";
$locale["blog286"] = "Seneste indlg";
$locale["blog287"] = "Sg i Blog";
$locale["blog288"] = "SG";
$locale["blog289"] = "";
$locale["blog290"] = "";

// RSS 
$locale["blog300"] = "RSS indstillinger";
$locale["blog301"] = "Rod URL";
$locale["blog302"] = "PFBlog titel";
$locale["blog303"] = "Beskrivelse";
$locale["blog304"] = "Copyright";
$locale["blog305"] = "Redaktr";
$locale["blog306"] = "Webmaster";
$locale["blog307"] = "TTL";
$locale["blog308"] = "Billede (URL)";

// IMAGES
$locale["blog400"] = "Slet billede";
$locale["blog401"] = "Billede er blevet slettet";
$locale["blog402"] = "Tilbage til billed administration";
$locale["blog403"] = "Tilbage til administration";
// Upload Image
$locale["blog420"] = "Upload billede";
$locale["blog421"] = "Filnavn:";
$locale["blog422"] = "Billeder";
$locale["blog423"] = "Artikel billeder";
$locale["blog424"] = "Nyheds billeder";
$locale["blog425"] = "Du kan kun uploade billeder i gif, jpg eller png format";
$locale["blog426"] = "Billedet er blevet uploadet";
$locale["blog427"] = "Nyhedskategori billeder";
// View Image
$locale["blog440"] = "Se billede";
$locale["blog441"] = "Ukendt filformat, kan ikke vise billedet.";
$locale["blog442"] = "Slet dette billede";
// Image Management
$locale["blog460"] = "Billeder";
$locale["blog461"] = "Se";
$locale["blog462"] = "Slet";
$locale["blog463"] = "Denne folder er tom";
$locale["blog464"] = "Opdater billedlisten til TinyMCE editor";

//DESCRIPTION
$locale["blog500"] = "Anvend formularen nedenfor til at redigere PFBlog indstillingerne.";
$locale["blog501"] = "strrelse af lister p administrationssiderne";
$locale["blog502"] = "antal af PFBlog indlg der vises for besgende";
$locale["blog503"] = "underretning sendes til forfatter emailen fra admin emailadressen<br> - begge skal vre gyldige for at kunne fungere";
$locale["blog504"] = "anti-spam verificeringskoder";
$locale["blog505"] = "kommentarer vil ikke comments vre synlige fr de er godkendte";
$locale["blog506"] = "Time to Live (TTL) - standard = 60";
$locale["blog507"] = "Denne afdeling viser indlggene i PFBlog systemet, med mulighed for at kunne redigere, slette, offentliggre eller skjule hver enkelt indlg.";
$locale["blog508"] = "Denne liste viser de senest oprettede kommentarer i PFBloggen. Hvis du har de korrekte rettigheder kan du godkende, afvise eller fjerne dem.";
$locale["blog509"] = "Udfyld formularen nedenfor for at tilfje et nyt indlg i PFBloggen - og husk at vlge kategori. Hvis du kun er 'bidragyder', vil dit indlg ikke automatisk blive offentliggjort.";
$locale["blog510"] = "Benyt formularen nedenfor til at udfre rettelser i PFBlog indlg. Husk at klikke '".$locale["blog244"]."' knappen nr du er frdig.";
$locale["blog511"] = "Du har valgt at slette dette indlg. Tjek at det viste indlg nedenfor er det korrekte fr du klikker p 'Slet indlg'. Vr forsigtig - denne handling kan ikke fortrydes.";
$locale["blog512"] = "Vis indlg-formularen viser dig indlgget og dets eventuelle kommentarer. Her kan du redigere eller slette kommentarer.";
$locale["blog513"] = "Med Rediger kommentar-formularen kan du ndre i kommentarens ordlyd.";
$locale["blog514"] = "Fjern kommentar-formularen bekrfter at du nsker at slette en kommentar.";
$locale["blog515"] = "Listen nedenfor viser de kategorier du kan oprette indlg i. Du kan redigere og slette kategorier herfra.";
$locale["blog516"] = "Tabellen nedenfor viser systemets brugere. Du kan ndre en brugers blog-rolle her hvis du er 'Administrator'. De GULT markerede viser brugere der ikke har fet tildelt nogen rolle i Bloggen";
$locale["blog517"] = "Udfyld de tomme felter i formularen nedenfor for at ndre en brugers rolle i systemet. En tommelfingerregel: 'Administratorer' kan gre alt fra administrationssiden, 'Forfattere' kan gre alt undtagen at ndre brugere, og 'Bidragydere' kan kun oprette nye indlg.";
$locale["blog518"] = "Du har valgt at slette denne kategori. Tjek at den viste kategori nedenfor er den korrekte fr du klikker p '".$locale["blog261"]."'. Vr forsigtig - denne handling kan ikke fortrydes.";
$locale["blog519"] = "Anvend formularen nedenfor til at tilfje kategorier. Du kan herefter oprette indlg i kategorierne.";
$locale["blog520"] = "Benyt formularen nedenfor til at redigere kategorinavnet. Indlg oprettet i det gamle kategorinavn flger automatisk med over til det nye.";
$locale["blog521"] = "Anvend formularen nedenfor til at redigere RSS-PFBlog indstillingerne.";

// NOTIFICATION MAIL
$locale["blog800"] = "PFBlog underetning : En kommentar er blevet tilfjet dit indlg ";
$locale["blog801"] = "Dit Blog indlg ";
$locale["blog802"] = " har modtaget en kommentar.\n\n";
$locale["blog803"] = "For at se kommentaren i bloggen, klik da p URLen nedenfor;\n\n";
$locale["blog804"] = "...eller g til kommentarlisten p URLen nedenfor;\n\n";
$locale["blog805"] = "Dette er en automatisk udsendt email. Undlad venligst at besvare den.\n";

// ERROR
$locale["blog900"] = "Et problem er opstet i PFBlog systemet.";
$locale["blog901"] = "Fil";
$locale["blog902"] = "Funktion";
$locale["blog903"] = "Problem (hvis udspecificeret)";
$locale["blog904"] = "";
$locale["blog905"] = "";
$locale["blog906"] = "";
$locale["blog907"] = "";
$locale["blog908"] = "";
$locale["blog909"] = "";
$locale["blog910"] = "";
?>
