<?php
/*
#************* ENGLISH.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

// Infusion titles & description
$locale['blog100'] = "PFBlog System";
$locale['blog101'] = "Blog System for PHP-Fusion";
$locale['blog102'] = "PFBlog";

// Month and Day Names
// -------------------
$lo_tmois = array("January", "February", "March", "April", "Maj", "June", "July", "August", "September", "October", "November", "December");
$lo_tmoisBR = Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");
$lo_tjours = array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
$lo_days = Array("Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat");
$tdaysBR = array("S","M","T","W","T","F","S");

// General Words, Phrases and Sentences
// ------------------------------------

//Administration
$locale["blog200"] = "PFBlog System - Administration ";
$locale["blog201"] = "Add Entry";
$locale["blog202"] = "List Entries";
$locale["blog203"] = "List Comments";
$locale["blog204"] = "List Users";
$locale["blog205"] = "Add Category";
$locale["blog206"] = "List Categories";
$locale["blog207"] = "Settings";
$locale["blog208"] = "Files";
$locale["blog209"] = "No Entry List";
$locale["blog210"] = "Keywords";
$locale["blog211"] = "Category";
$locale["blog212"] = "Not Found";
$locale["blog213"] = "Status";
$locale["blog214"] = "Published";
$locale["blog215"] = "Un-Published";
$locale["blog216"] = "Submit";
$locale["blog217"] = "List Results (";
$locale["blog218"] = " records in total) : ";
$locale["blog219"] = "Date Added";
$locale["blog220"] = "Title";
$locale["blog221"] = "Comments";
$locale["blog222"] = "Author";
$locale["blog223"] = "Options";
$locale["blog224"] = "Edit this Record";
$locale["blog225"] = "View";
$locale["blog226"] = "Remove this Record";
$locale["blog227"] = "Publish this Record";
$locale["blog228"] = "Un-Publish this Record";
$locale["blog229"] = "Edit Category";
$locale["blog230"] = "Categorised";
$locale["blog231"] = "Comment";
$locale["blog232"] = "Approve";
$locale["blog233"] = "Reject";
$locale["blog234"] = "URL";
$locale["blog235"] = "by";
$locale["blog236"] = "View entries in this category";
$locale["blog237"] = "There are no categories defined.";
$locale["blog238"] = "Contributor";
$locale["blog239"] = "Administrator";
$locale["blog240"] = "Date";
$locale["blog241"] = "Body";
$locale["blog242"] = "Categories";
$locale["blog243"] = "Notify Comments";
$locale["blog244"] = "Make Changes";
$locale["blog245"] = "Not filed against any categories";
$locale["blog246"] = "Remove Entry";
$locale["blog247"] = "Visitor Entries Per Page";
$locale["blog248"] = "View Entry";
$locale["blog249"] = "Admin Results Per Page";
$locale["blog250"] = "E-Mail";
$locale["blog251"] = "on";
$locale["blog252"] = "This entry has no comments yet.";
$locale["blog253"] = "Edit Comment";
$locale["blog254"] = "Comment Code";
$locale["blog255"] = "Name";
$locale["blog256"] = "No approved comment found.";
$locale["blog257"] = "Remove Comment";
$locale["blog258"] = "Ascending";
$locale["blog259"] = "Descending";
$locale["blog260"] = "Category Name";
$locale["blog261"] = "Remove Category";
$locale["blog262"] = "Comment Order";
$locale["blog263"] = "Username";
$locale["blog264"] = "Level";
$locale["blog265"] = "Role";
$locale["blog266"] = "There are no users";
$locale["blog267"] = "Edit User";
$locale["blog268"] = "Verify Comments";
$locale["blog269"] = "Edit Entry";
$locale["blog270"] = "Navigation...";
$locale["blog271"] = "Previous:";
$locale["blog272"] = "Next:";
$locale["blog273"] = "Add new comment";
$locale["blog274"] = "will not be displayed";
$locale["blog275"] = "Comment Submitted";
$locale["blog276"] = "Your comment has been submitted - it will appear in the blog following verification.";
$locale["blog277"] = "Problem with Comment";
$locale["blog278"] = "You tried to submit a comment, but you either got the verify code wrong, or missed a mandatory field.";
$locale["blog279"] = "No Items To Show";
$locale["blog280"] = "There are no entries within the range you are looking.";
$locale["blog281"] = "Bookmark for a link to this story";
$locale["blog282"] = "View the comments";
$locale["blog283"] = "Images Management";
$locale["blog284"] = "Go to Administrative Area";
$locale["blog285"] = "Calendar";
$locale["blog286"] = "Last Articles";
$locale["blog287"] = "Search in Blog";
$locale["blog288"] = "GO";
$locale["blog289"] = "";
$locale["blog290"] = "";

// RSS 
$locale["blog300"] = "RSS Settings";
$locale["blog301"] = "Root URL";
$locale["blog302"] = "PFBlog Title";
$locale["blog303"] = "Description";
$locale["blog304"] = "Copyright";
$locale["blog305"] = "Editor";
$locale["blog306"] = "Webmaster";
$locale["blog307"] = "TTL";
$locale["blog308"] = "Image (URL)";

// IMAGES
$locale["blog400"] = "Delete Image";
$locale["blog401"] = "Image Deleted";
$locale["blog402"] = "Return to Images Admin";
$locale["blog403"] = "Return to Admin Index";
// Upload Image
$locale["blog420"] = "Upload Image";
$locale["blog421"] = "Filename:";
$locale["blog422"] = "Main Images";
$locale["blog423"] = "Article Images";
$locale["blog424"] = "News Images";
$locale["blog425"] = "You can only upload images in gif, jpg or png format";
$locale["blog426"] = "Image Uploaded";
$locale["blog427"] = "News Cats Images";
// View Image
$locale["blog440"] = "View Image";
$locale["blog441"] = "Unknown file format, cannot display image.";
$locale["blog442"] = "Delete this image";
// Image Management
$locale["blog460"] = "Images";
$locale["blog461"] = "View";
$locale["blog462"] = "Delete";
$locale["blog463"] = "This folder is empty";
$locale["blog464"] = "Update image list for TinyMCE editor";

//DESCRIPTION
$locale["blog500"] = "Use the form below to edit the PFBlog settings.";
$locale["blog501"] = "size of lists in admin pages";
$locale["blog502"] = "number of PFBlog entries appearing to visitors";
$locale["blog503"] = "notification goes to the author email address from the admin email address<br> - both need to be valid for it to work";
$locale["blog504"] = "anti-spam verification codes";
$locale["blog505"] = "comments will not appear until approved";
$locale["blog506"] = "Time to Live - default = 60";
$locale["blog507"] = "This section shows the entries within the PFBlog System, with the option to Edit, Remove, Publish or Unpublish each entry.";
$locale["blog508"] = "This list shows the most recent comments published to the PFBlog script. If you have the appropriate privilages you can approve, reject or remove them.";
$locale["blog509"] = "Fill in the form below to add an entry to the PFBlog - and don't forget to set some categories to file your entry against. Remember that if you are only a 'Contributor' user, your entry will not automatically be set to 'Publish'.";
$locale["blog510"] = "Use the form below to make changes to a PFBlog entry. Remember to click the '".$locale["blog244"]."' button when you have finished.";
$locale["blog511"] = "You have chosen to remove this entry. Please check that the entry displayed below is correct before clicking on 'Remove Entry'. Be careful - you cannot undo this operation.";
$locale["blog512"] = "The view entry form shows you the entry, and any comments it may have. You can use this form to edit and remove comments.";
$locale["blog513"] = "The comment editing form lets you change the contents of a comment.";
$locale["blog514"] = "The comment remove form confirms that you want to remove a comment.";
$locale["blog515"] = "The list below shows the categories you can file entries against. You can edit and remove categories from here.";
$locale["blog516"] = "The table below shows the users of the system. You can modify the blog-role of the users from here if you are an 'Administrator'.  The records with YELLOW background are for the Users with no role in the Blog";
$locale["blog517"] = "Fill in the blanks in the form below to edit a user in the system. As a quick guide, 'Administrators' can do everything in the administration interface, Authors can do everything except modify users, and Contributors can only post new entries.";
$locale["blog518"] = "You have chosen to remove this category. Please check that the category displayed below is correct before clicking on '".$locale["blog261"]."'. Be careful - you cannot undo this operation.";
$locale["blog519"] = "Use the form below to add categories to the category list. You can then file entries against the categories.";
$locale["blog520"] = "Use the form below to edit the category name. Any entries already filed against the category will become filed against the renamed category.";
$locale["blog521"] = "Use the form below to edit the RSS-PFBlog settings.";

// NOTIFICATION MAIL
$locale["blog800"] = "PFBlog Notification : A comment has been written on your entry ";
$locale["blog801"] = "Your Blog entry ";
$locale["blog802"] = " has received a comment.\n\n";
$locale["blog803"] = "To view the comment in the blog, click on the URL below;\n\n";
$locale["blog804"] = "...or go to the comment list at the URL below;\n\n";
$locale["blog805"] = "This is a system generated email. Please do not reply to it.\n";

// ERROR
$locale["blog900"] = "A problem has occurred in the PFBlog System.";
$locale["blog901"] = "File";
$locale["blog902"] = "Function";
$locale["blog903"] = "Problem (if specified)";
$locale["blog904"] = "";
$locale["blog905"] = "";
$locale["blog906"] = "";
$locale["blog907"] = "";
$locale["blog908"] = "";
$locale["blog909"] = "";
$locale["blog910"] = "";
?>