<?php
/*
#************* ITALIAN.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

$locale['blog100'] = "PFBlog System";
$locale['blog101'] = "Blog System per PHP-Fusion";
$locale['blog102'] = "PFBlog";
$locale['blog103'] = "Ritorna alla visualizzazione del Blog";

$lo_tmois = array("Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre");
$lo_tjours = array("Domenica", "Luned", "Marted", "Mercoled", "Gioved", "Venerd", "Sabato");
$lo_days = Array("Dom", "Lun", "Mar", "Mer", "Gio", "Ven", "Sab");
$tdaysBR = array("D","L","M","M","G","V","S");
$lo_year = "ANNO";
$lo_month = "MESE";


// General Words, Phrases and Sentences
// ------------------------------------

//Administration
$locale["blog200"] = "PFBlog System - Amministrazione ";
$locale["blog201"] = "Nuovo Articolo";
$locale["blog202"] = "Lista Articoli";
$locale["blog203"] = "Lista Commenti";
$locale["blog204"] = "Lista Utenti";
$locale["blog205"] = "Nuova Categoria";
$locale["blog206"] = "Lista Categorie";
$locale["blog207"] = "Configurazione";
$locale["blog208"] = "Files";
$locale["blog209"] = "Nessun articolo presente";
$locale["blog210"] = "Parole chiave";
$locale["blog211"] = "Categoria";
$locale["blog212"] = "Non Trovato";
$locale["blog213"] = "Stato";
$locale["blog214"] = "Publicato";
$locale["blog215"] = "Non Publicato";
$locale["blog216"] = "Conferma";
$locale["blog217"] = "Lista Risultati (";
$locale["blog218"] = " records in totale) : ";
$locale["blog219"] = "Data Inserimento";
$locale["blog220"] = "Titolo";
$locale["blog221"] = "Commenti";
$locale["blog222"] = "Autore";
$locale["blog223"] = "Opzioni";
$locale["blog224"] = "Modifica questo Record";
$locale["blog225"] = "Vedi";
$locale["blog226"] = "Elimina questo Record";
$locale["blog227"] = "Publica questo Record";
$locale["blog228"] = "Non Publicare questo Record";
$locale["blog229"] = "Modifica Categoria";
$locale["blog230"] = "Articoli per categoria";
$locale["blog231"] = "Commento";
$locale["blog232"] = "Approvato";
$locale["blog233"] = "Rifiutato";
$locale["blog234"] = "URL";
$locale["blog235"] = "da";
$locale["blog236"] = "Visualizza gli articoli di questa categoria";
$locale["blog237"] = "Non ci sono categorie definite.";
$locale["blog238"] = "Contributore";
$locale["blog239"] = "Amministratore";
$locale["blog240"] = "Data";
$locale["blog241"] = "Testo";
$locale["blog242"] = "Categorie";
$locale["blog243"] = "Notifica i Commenti";
$locale["blog244"] = "Modifica";
$locale["blog245"] = "Non classificato in nessuna categoria";
$locale["blog246"] = "Elimina Articolo";
$locale["blog247"] = "Visitor Entries Per Page";
$locale["blog248"] = "Visualizza Articolo";;
$locale["blog249"] = "Admin Results Per Page";
$locale["blog250"] = "E-Mail";
$locale["blog251"] = "il";
$locale["blog252"] = "Questo articolo non ha ancora commenti";
$locale["blog253"] = "Modifica Commento";
$locale["blog254"] = "Codice Verifica";
$locale["blog255"] = "Nome";
$locale["blog256"] = "Non esistono commenti approvati su questo articolo nel Blog.";
$locale["blog257"] = "Elimina Commento";
$locale["blog258"] = "Ascendente";
$locale["blog259"] = "Discendente";
$locale["blog260"] = "Nome Categoria";
$locale["blog261"] = "Elimina la Categoria";
$locale["blog262"] = "Ordine Commenti";
$locale["blog263"] = "Nome Utente";
$locale["blog264"] = "Livello";
$locale["blog265"] = "Ruolo";
$locale["blog266"] = "Non ci sono Utenti";
$locale["blog267"] = "Modifica Utente";
$locale["blog268"] = "Verifica Commenti";
$locale["blog269"] = "Modifica Articolo";
$locale["blog270"] = "Navigazione...";
$locale["blog271"] = "Precedente:";
$locale["blog272"] = "Successsivo:";
$locale["blog273"] = "Inserimento nuovo commento";
$locale["blog274"] = "non sar visualizzato";
$locale["blog275"] = "Commento Inserito";
$locale["blog276"] = "Il tuo commento  stato inserito - sar visualizzato nel blog dopo la verifica.";
$locale["blog277"] = "Problema con il Commento";
$locale["blog278"] = "Hai provato ad inserire un commento, ma il codice di verifica era sbagliato o hai omesso un campo obbligatorio.";
$locale["blog279"] = "Non ci sono articoli da mostrare";
$locale["blog280"] = "Non ci sono articoli che soddisfano i tuoi criteri di ricerca.";
$locale["blog281"] = "Crea un link per questo articolo";
$locale["blog282"] = "Visualizza i commenti";
$locale["blog283"] = "Gestione Immagini";
$locale["blog284"] = "Vai all'area Amministrazione";
$locale["blog285"] = "Calendario";
$locale["blog286"] = "Articoli recenti";
$locale["blog287"] = "Cerca nel Blog";
$locale["blog288"] = "Vai";
$locale["blog289"] = "";
$locale["blog290"] = "";

// RSS 
$locale["blog300"] = "Configurazione RSS";
$locale["blog301"] = "URL Principale";
$locale["blog302"] = "Titolo";
$locale["blog303"] = "Descrizione";
$locale["blog304"] = "Copyright";
$locale["blog305"] = "Editor";
$locale["blog306"] = "Webmaster";
$locale["blog307"] = "TTL";
$locale["blog308"] = "Immagine (URL)";

//IMAGES
$locale["blog400"] = "Elimina Immagine";
$locale["blog401"] = "Immagine Eliminata";
$locale["blog402"] = "Ritorna ad Amministrazione Immagini";
$locale["blog403"] = "Ritorna ad Home Page Amministratore";
// Upload Image
$locale["blog420"] = "Invia Immagine";
$locale["blog421"] = "Nome File:";
$locale["blog422"] = "Le tue immagini Blog";
$locale["blog423"] = "Tutte le immagini del Blog";
$locale["blog424"] = "";
$locale["blog425"] = "Puoi inviare solo immagini con formato gif, jpg o png";
$locale["blog426"] = "Immagine Inviata";
$locale["blog427"] = "Immagini Categorie News";
// View Image
$locale["blog440"] = "Vedi Immagine";
$locale["blog441"] = "Formato non riconosciuto, impossibile vedere l'immagine.";
$locale["blog442"] = "Elimina questa immagine";
// Image Management
$locale["blog460"] = "Immagini";
$locale["blog461"] = "Vedi";
$locale["blog462"] = "Elimina";
$locale["blog463"] = "Questa cartella  vuota";
$locale["blog464"] = "Aggiorna immagine per editor TinyMCE";


//DESCRIPTION
$locale["blog500"] = "Usa la Form seguente per modificare la configurazione.";
$locale["blog501"] = "numero articoli nelle pagine amministrative";
$locale["blog502"] = "numero articoli visualizzati ai visitatori";
$locale["blog503"] = "Notifica inviata all'indirizzo E-Mail dell'autore dall'indirizzo E-Mail dell'Amministratore<br> - Devono essere entrambi indirizzi validi";
$locale["blog504"] = "Codice di verifica anti-spam";
$locale["blog505"] = "I commenti non appaiono fino a quando non sono approvati";
$locale["blog506"] = "Time to Live - default = 60";
$locale["blog507"] = "Questa sezione mostra gli articoli presenti in PFBlog System, con le opzioni di Modifica, Cancellazione, Publicazione o Non Publicazione per ogni articolo.";
$locale["blog508"] = "Questa lista mostra i pi recenti commenti publicati nel Blog.<br />Se hai gli appropriati privilegi puoi approvarli, rifiutarli o rimuoverli.";
$locale["blog509"] = "Fill in the form below to add an entry to the PFBlog - and don't forget to set some categories to file your entry against. Remember that if you are only a 'Contributor' user, your entry will not automatically be set to 'Publish'.";
$locale["blog510"] = "Use the form below to make changes to a PFBlog entry. Remember to click the '".$locale["blog244"]."' button when you have finished.";
$locale["blog511"] = "You have chosen to remove this entry. Please check that the entry displayed below is correct before clicking on 'Remove Entry'. Be careful - you cannot undo this operation.";
$locale["blog512"] = "The view entry form shows you the entry, and any comments it may have. You can use this form to edit and remove comments.";
$locale["blog513"] = "The comment editing form lets you change the contents of a comment.";
$locale["blog514"] = "The comment remove form confirms that you want to remove a comment.";
$locale["blog515"] = "Questa tabella mostra le categorie presenti nel Blog.<br />Puoi modificare o rimuovere ogni categoria.";
$locale["blog516"] = "La tabella seguente mostra gli utenti registrati nel sistema.<br />Puoi modificare il ruolo nel Blog degli utenti solo se sei un 'Amministratore'. I record con sfondo GIALLO evidenziano gli utenti che non hanno ruolo nel Blog";
$locale["blog517"] = "Fill in the blanks in the form below to edit a user in the system. As a quick guide, 'Administrators' can do everything in the administration interface, Authors can do everything except modify users, and Contributors can only post new entries.";
$locale["blog518"] = "Hai scelto di eliminare questa categoria.<br />Per favore verifica che la categoria scelta sia quella esatta primadi cliccare su '".$locale["blog261"]."'.<br />Stai attento perch non puoi tornare indietro!!";
$locale["blog519"] = "Utilizza la seguente Form per inserire una nuova categoria";
$locale["blog520"] = "Use the form below to edit the category name. Any entries already filed against the category will become filed against the renamed category.";
$locale["blog521"] = "Usa la Form seguente per modificare la configurazione RSS.";

// NOTIFICATION MAIL
$locale["blog800"] = "PFBlog Notifica : Un commento  stato scritto su un tuo articolo ";
$locale["blog801"] = "Il tuo articolo ";
$locale["blog802"] = " ha ricevuto un commento.\n\n";
$locale["blog803"] = "Per vedere il commento nel Blog clicca sull'indirizzo seguente;\n\n";
$locale["blog804"] = "...o vai alla Lista dei Commenti all'indirizzo seguente;\n\n";
$locale["blog805"] = "Questa  una E-Mail automatica. per favore non rispondete.\n";

// ERROR
$locale["blog900"] = "Si  verificato un problema durante l'esecuzione di PFBlog System";
$locale["blog901"] = "File";
$locale["blog902"] = "Funzione";
$locale["blog903"] = "Problema (se specificato)";
$locale["blog904"] = "";
$locale["blog905"] = "";
$locale["blog906"] = "";
$locale["blog907"] = "";
$locale["blog908"] = "";
$locale["blog909"] = "";
$locale["blog910"] = "";
?>
